cdebconf (0.220) unstable; urgency=medium

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov

 -- Christian Perrier <bubulle@debian.org>  Mon, 16 Jan 2017 06:47:22 +0100

cdebconf (0.219) unstable; urgency=medium

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Christian Perrier <bubulle@debian.org>  Tue, 22 Nov 2016 07:41:40 +0100

cdebconf (0.218) unstable; urgency=medium

  [ Updated translations ]
  * Polish (pl.po) by Michał Kułach

 -- Christian Perrier <bubulle@debian.org>  Sun, 09 Oct 2016 19:55:22 +0200

cdebconf (0.217) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 Sep 2016 08:36:07 +0200

cdebconf (0.216) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Sep 2016 08:34:59 +0200

cdebconf (0.215) unstable; urgency=medium

  [ Updated translations ]
  * Russian (ru.po) by Yuri Kozlov
  * Ukrainian (uk.po) by Anton Gladky

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Jul 2016 16:16:08 +0200

cdebconf (0.214) unstable; urgency=medium

  * Rebuild with complete translations

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jul 2016 19:51:11 +0200

cdebconf (0.213) unstable; urgency=medium

  * Rebuild with translations really back in place...:-)

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 May 2016 17:58:59 +0200

cdebconf (0.212) unstable; urgency=medium

  * Rebuild with translations back in place

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 May 2016 16:26:52 +0200

cdebconf (0.211) unstable; urgency=medium

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Serbian (sr.po) by Dragan Filipović

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 May 2016 12:33:39 +0200

cdebconf (0.210) unstable; urgency=medium

  [ Updated translations ]
  * Slovak (sk.po) by ctenar

 -- Christian Perrier <bubulle@debian.org>  Tue, 03 May 2016 10:54:40 +0200

cdebconf (0.209) unstable; urgency=medium

  [ Updated translations ]
  * Serbian (sr.po) by Dragan Filipović

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Apr 2016 15:39:45 +0200

cdebconf (0.208) unstable; urgency=medium

  [ Samuel Thibault ]
  * gtk: Auto-scroll when switching between entries.

 -- Christian Perrier <bubulle@debian.org>  Sat, 02 Apr 2016 08:05:54 +0200

cdebconf (0.207) unstable; urgency=medium

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 Mar 2016 06:52:27 +0100

cdebconf (0.206) unstable; urgency=medium

  [ Regis Boudin ]
  * Use functions to get, set, and clear flags instead of accessing the
    structure directly. These take a string instead of the bits fied used
    internaly, preparing for the capacity to handle any arbitrary flag.
  * Create methods that let plugins use question as an opaque structure.

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto
  * Thai (th.po) by Theppitak Karoonboonyanan

  [ Christian Perrier ]
  * Update Standards to 3.9.7 (checked)

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Feb 2016 07:10:34 +0100

cdebconf (0.205) unstable; urgency=medium

  [ Updated translations ]
  * Dutch (nl.po) by Frans Spiesschaert
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Feb 2016 06:58:05 +0100

cdebconf (0.204) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

  [ Regis Boudin ]
  * Where possible, make the GTK+2 code not use methods which get deprecated
    later on in GTK+3.
  * Fix handling of the buffer in dpkg-preconfigure when in apt mode and
    reading from stdin.

 -- Christian Perrier <bubulle@debian.org>  Mon, 01 Feb 2016 06:56:59 +0100

cdebconf (0.203) unstable; urgency=medium

  [ Regis Boudin ]
  * Remove conditional code to handle glib pre-2.31, which is pre-wheezy.
    Add versioned Build-Depends accordingly.
  * Updake GTK+ plugin to not use deprecated GDK symbols.
  * Add the possibility to target GTK+2 or GTK+3. Stick to GTK+2 for now.

  [ Samuel Thibault ]
  * text: Print one screen worth of choices, and use +/- to switch between
    choices screens. Closes: #809739.

 -- Christian Perrier <bubulle@debian.org>  Thu, 28 Jan 2016 15:40:45 +0100

cdebconf (0.201) unstable; urgency=medium

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Czech (cs.po) by Miroslav Kure
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Wed, 23 Dec 2015 08:05:30 +0100

cdebconf (0.200) unstable; urgency=medium

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Mon, 14 Dec 2015 05:55:56 +0100

cdebconf (0.199) unstable; urgency=medium

  [ Updated translations ]
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Nov 2015 07:19:19 +0100

cdebconf (0.198) unstable; urgency=medium

  [ Regis Boudin ]
  * Fix libselinux1-dev dependency to be [linux-any]. It prevented hurd and
    kFreeBSD from building.
  * Fix build system so CFLAGS and CPPFLAGS are actually applied. This triggers
    hardening and a few new warnings, so temporarily disable Werror for the
    GTK+ module.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Nov 2015 08:57:05 +0100

cdebconf (0.197) unstable; urgency=medium

  [ Regis Boudin ]
  * Add lintian overrides for malformed-prompt-in-templates, no-debconf-config,
    and no-debconf-config. The package uses them for translations.
  * Fix extended descriptions for libdebconfclient0 and libdebconfclient0-dev.
    Thanks Filipus Klutiero. Closes: #759755.
  * Allow one to show/hide characters typed in password field with the GTK+ and
    Newt frontends. Closes: #700924.
  * Run maintainer scripts in correct selinux context. Only enabled in the
    non-d-i build. Closes: #752002.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Thu, 19 Nov 2015 08:30:56 +0100

cdebconf (0.196) unstable; urgency=medium

  [ Samuel Thibault ]
  * Add control-+/- shortcuts to adjust font size.

 -- Christian Perrier <bubulle@debian.org>  Mon, 16 Nov 2015 07:05:20 +0100

cdebconf (0.195) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Thu, 23 Jul 2015 09:23:10 +0200

cdebconf (0.194) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Jun 2015 07:21:59 +0200

cdebconf (0.193) unstable; urgency=medium

  [ Christian Perrier ]
  * Fix memory leaks spotted by cppcheck. Closes: #783411
  * Update Standards to 3.9.6 (checked)

  [ Samuel Thibault ]
  * In text frontend, allow the Choices-C value in addition to the numbers.
    Closes: #781439

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 May 2015 06:59:16 +0200

cdebconf (0.192) unstable; urgency=low

  * Drop cdebconf-slang-udeb from debian/control instead of using the
    "Architecture: disabled" hack (not supported by dak)

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Tue, 09 Sep 2014 08:39:44 +0200

cdebconf (0.191) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić

 -- Christian Perrier <bubulle@debian.org>  Wed, 14 May 2014 06:43:40 +0200

cdebconf (0.190) unstable; urgency=medium

  * Resize banner when window width and banner width don't match
    (Closes: #745359).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 28 Apr 2014 13:10:14 +0200

cdebconf (0.189) unstable; urgency=medium

  [ Regis Boudin ]
  * Only try to convert the debconf frontend to the cdebconf equivalent if it
    is defined.

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Mar 2014 06:56:57 +0100

cdebconf (0.188) unstable; urgency=medium

  [ Samuel Thibault ]
  * Re-introduce -lpthread for being able to load gtk dynamically on hurd-any.

  [ Cyril Brulebois ]
  * Add support for loading an alternate banner when the GTK theme name
    is "dark" (Closes: #740358). Fall back to the regular one if it's
    not available (See: #696969).
  * Adjust clean to remove all Makefile files generated from Makefile.in
    (3 out of 7 weren't cleaned yet).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 28 Feb 2014 21:49:31 +0300

cdebconf (0.187) unstable; urgency=medium

  * Convert library packages to multiarch.

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Jan 2014 15:46:49 +0000

cdebconf (0.186) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Dec 2013 14:13:01 +0100

cdebconf (0.185) unstable; urgency=low

  * Drop useless shlibs.local file. Thanks to Sven Joachim
    for pointing this. Closes: #720972
 
  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov
 
 -- Christian Perrier <bubulle@debian.org>  Fri, 30 Aug 2013 07:12:16 +0200

cdebconf (0.184) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Aug 2013 22:25:51 +0200

cdebconf (0.183) unstable; urgency=low

  [ Cyril Brulebois ]
  * Specify three arguments for all AC_DEFINE{,_UNQUOTED} calls, since
    autoheader doesn't like having only 1 or 2 arguments there. Use
    “[1]” as the second argument when there was only one, since that's
    the default when it's not specified.
  * Run autoreconf as build time:
    - Add dh-autoreconf as a build-dep.
    - Call dh_autoreconf before dh_auto_configure through an extra
      configure target and dependencies from */config.status.
    - Call dh_autoreconf_clean in the clean target.
  * Remove the following files from git accordingly:
    - aclocal.m4
    - configure
    - src/config.h.in
  * Wrap Build-Depends and Uploaders fields.
  * Add myself to Uploaders.

  [ Colin Watson ]
  * Ignore some automake-related configure options, silencing warnings from
    dh_auto_configure.

  [ Christian Perrier ]
  * Fix spelling error in a former changelog entry in "Explicitly".
    This will save us from a lintian warning.
  * Update Standards to 3.9.4 (checked)

  [ Dmitrijs Ledkovs ]
  * Set Vcs-* to canonical format.
  * Simply use (>= 9) version specifier for debhelper.

  [ Regis Boudin ]
  * Link with -Wl,--as-needed, avoiding many indirect dependencies from GTK.
  * Explicitly link the passthrough module with libdebian-installer.
  * Use @DI_LIBS@ instead of -ldebian-installer in Makefile.in.
  * Check that the return of getenv() is not NULL before trying to use the
    result. Thanks to the Mayhem Team for running their tests.
  * Let dpkg-preconfigure only run as root, just like dpkg-reconfigure.
  * Rework database saving to store the old versions.
  * Fix a typo to correctly recognise password options.

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Jul 2013 20:29:00 +0200

cdebconf (0.182) unstable; urgency=low

  [ Updated translations ]
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Mar 2013 16:00:24 +0100

cdebconf (0.181) unstable; urgency=low

  * Fix the display of info messages (e.g. “Rescue mode”) by aligning them
    on the left (rather than on the right, on top of either the “debian”
    or the Debian swirl), also centering them vertically, getting rid of
    magic numbers in the process.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 27 Dec 2012 23:42:42 +0100

cdebconf (0.180) unstable; urgency=low

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Sun, 09 Dec 2012 16:33:29 +0100

cdebconf (0.179) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Kannada (kn.po) by Vikram Vincent

 -- Christian Perrier <bubulle@debian.org>  Fri, 09 Nov 2012 22:31:50 +0100

cdebconf (0.178) unstable; urgency=low

  [ Christian Perrier ]
  * [l10n] Drop use of sublevel 6 and move "recently" added
    strings to the sublevel they pertain to.

  [ Samuel Thibault ]
  * text:
    - Fix spurious "dot" spoken in progression percentage speech synthesis, by
    using proper typography.
    - Add quotes around key strokes in help message so the speech synthesis can
    know it has to spell it, make it translatable and translate it in all
    languages the same way as it was done in other messages.

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Welsh (cy.po) by Dafydd Tomos
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by galaxico
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Persian (fa.po) by Behrad Eslamifar
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Tomislav Krznar
  * Indonesian (id.po) by T. Surya Fajri
  * Japanese (ja.po) by Kenshi Muto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by Prabodh
  * Korean (ko.po) by Changwoo Ryu
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Malayalam (ml.po) by Hrishikesh K B
  * Dutch (nl.po) by Jeroen Schot
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Michał Kułach
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Karolina Kalic
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Turkish (tr.po) by Mert Dirik
  * Uyghur (ug.po) by Sahran
  * Ukrainian (uk.po) by Yuri Chornoivan
  * Traditional Chinese (zh_TW.po) by imacat

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Oct 2012 07:39:45 +0200

cdebconf (0.176) unstable; urgency=low

  [ Updated translations ]
  * Sinhala (si.po) by Danishka Navin
  * Traditional Chinese (zh_TW.po) by imacat

 -- Christian Perrier <bubulle@debian.org>  Mon, 01 Oct 2012 06:50:43 +0200

cdebconf (0.175) unstable; urgency=low

  [ Updated translations ]
  * Persian (fa.po) by Hamid
  * Malayalam (ml.po) by Anish A
  * Vietnamese (vi.po) by Hai-Nam Nguyen
  * Traditional Chinese (zh_TW.po) by Ｖ字龍 | Vdragon

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Sep 2012 14:24:00 +0200

cdebconf (0.174) unstable; urgency=low

  [ Samuel Thibault ]
  * Add DEBCONF_TEXT_HORIZ environment variable to enumerate choices
    horizontally for speech synthesis. Closes: #682538.

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 Sep 2012 07:38:59 +0200

cdebconf (0.173) unstable; urgency=low

  [ Updated translations ]
  * Greek (el.po) by galaxico
  * Serbian (sr.po) by Karolina Kalic

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Aug 2012 08:10:43 +0200

cdebconf (0.172) unstable; urgency=low

  * Add myself to Uploaders and remove inactive developers from there

  [ Updated translations ]
  * Dutch (nl.po) by Jeroen Schot
  * Panjabi (pa.po) by Arvinder Singh Kang

 -- Christian Perrier <bubulle@debian.org>  Sat, 04 Aug 2012 22:19:19 +0200

cdebconf (0.171) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Tue, 03 Jul 2012 23:15:58 +0200

cdebconf (0.170) unstable; urgency=low

  * Team upload
  
  [ Updated translations]
  * Malayalam (ml.po) by Praveen Arimbrathodiyil

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jun 2012 11:39:28 +0200

cdebconf (0.169) unstable; urgency=low

  * Team upload

  [ Regis Boudin ]
  * Convert the deprecated structure initializer designators to ISO ones.
  * src/template.c : Initialize to 0 the entire allocated structure, instead of
    only the size a pointer.

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jun 2012 08:10:36 +0200

cdebconf (0.168) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Dzongkha (dz.po) by Dawa

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Jun 2012 20:00:35 +0200

cdebconf (0.167) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Macedonian (mk.po) by Arangel Angov
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Karolina Kalic
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Jun 2012 20:35:02 +0200

cdebconf (0.166) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Telugu (te.po) by Arjuna Rao Chavala
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Jun 2012 06:24:52 +0200

cdebconf (0.165) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Telugu (te.po) by Arjuna Rao Chavala
  * Vietnamese (vi.po) by Nguyen Vu Hung

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Jun 2012 18:28:20 +0200

cdebconf (0.164) unstable; urgency=low

  * Team upload
  * Bump debhelper compatibility level to 9

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Estonian (et.po) by Mattias Põldaru
  * Polish (pl.po) by Michał Kułach
  * Telugu (te.po) by Arjuna Rao Chavala
  * Turkish (tr.po) by Mert Dirik
  * Traditional Chinese (zh_TW.po) by 林博仁

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jun 2012 19:27:13 +0200

cdebconf (0.163) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 Jun 2012 07:04:29 +0200

cdebconf (0.162) unstable; urgency=low

  * Team upload
  * Turn XC-Package-Type into Package-Type

  [ Updated translations ]
  * Welsh (cy.po) by Dafydd Tomos
  * Danish (da.po) by Joe Hansen
  * Galician (gl.po) by Jorge Barreiro
  * Telugu (te.po) by Arjuna Rao Chavala


 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 18:41:25 +0200

cdebconf (0.161) unstable; urgency=low

  [Christian Perrier]
  * Mark all debconf templates as translatable (except those for internal use)
    Use D-I sublevel 6 for new templates

  [Regis Boudin]
  * When FGETing a non-existing flag, return false, instead of an error. This
    is closer to the debconf behaviour, although cdebconf cannot be used to set
    arbitrary flag.
  * dpkg-preconfigure: check for the existence of apt-extracttemplates before
    trying to use it.
  * install a cdebconf_text.h, exporting useful macros and function for
    plugins.
  * Pass LDFLAGS when linking shared libs as well as programs.
  * Fix passing of DPKG_MAINTSCRIPT_* to be multi-arch compliant in
    dpkg-reconfigure.
  * Process triggers caused by dpkg-reconfigure. cf #560317.
  * Remove questions if after unregister or purge there's no owner left.
    Closes: #411585.

 -- Regis Boudin <regis@debian.org>  Sun, 10 Jun 2012 14:33:35 +0200

cdebconf (0.160) unstable; urgency=high

  * Fix cdebconf-gtk regression from 0.159 causing a fatal error on startup
    with glib <= 2.30 (closes: #665718).

  [ Updated translations ]
  * Finnish (fi.po) by Timo Jyrinki

 -- Julien Cristau <jcristau@debian.org>  Tue, 27 Mar 2012 20:13:15 +0200

cdebconf (0.159) unstable; urgency=low

  [ Regis Boudin ]
  * Implement and enable escape CAPB. Most of the work was actually done by
    Colin Watson. Closes: #537535.
  * Update the config script and templates.
  * Fix the template import to cope with files templates that have no type or
    short description.
  * Actually implement the dpkg-reconfigure --force and --no-reload options.
  * Make dpkg-reconfigure --all actually work.
  * Set DPKG_MAINTSCRIPT_* in dpkg-reconfigure to avoid confusing scripts
    using dpkg-maintscript-helper.
  * Make STOP actually stop the processing and wait for the child to finish.
    This fixes some postinst scripts stalling.
  * Bump Standards-Version to 3.9.3. No additional change required.
  * Lower priority of cdebconf-gtk to extra, same as cdebconf, to avoid the
    dependency on a package with lower priority.

  [ Colin Watson ]
  * Build cleanly with glib >= 2.31.
  * Remove unnecessary NULL checks before calling free.

 -- Regis Boudin <regis@debian.org>  Mon, 12 Mar 2012 20:18:10 +0100

cdebconf (0.158) unstable; urgency=low

  [ Regis Boudin ]
  * Make more checks at configure time for libs existence.
  * Bring the GTK frontend in line with GTK 2.24 :
    + Compile with GTK_DISABLE_DEPRECATED
    + Compile with GSEAL_ENABLE
    + Use GDK_KEY_* instead of GDK_*
  * Add myself to Uploaders.
  * Factor common code in text frontend, fixing a memory leak.
  * dpkg-reconfigure.c : getfield() reads the status of packages by calling
    dpkg-query instead of manually parsing /var/lib/dpkg/status.
  * Add a symbols file for libdebconfclient0.
  * Stop shipping config and templates directories in /var/lib/cdebconf, which
    are unused.
  * Manage the special case of a metaget owners, returning a comma-separated
    list of the owners. It returned an empty string before.
  * Add cdebconf preinst, postinst, config, and templates files to be able to
    configure frontend and priority.

  [ Samuel Thibault ]
  * Use commas to separate choices for proper speech synthesis.
    Closes: #634076.

 -- Regis Boudin <regis@debian.org>  Sun, 20 Nov 2011 14:45:06 +0000

cdebconf (0.157) unstable; urgency=low

  [ Regis Boudin ]
  * Switch to dpkg format 3.0 native.
  * Add build-arch and build-indep targets to debian/rules.
  * Bump Standards-Version to 3.9.2.
  * Stop passing -ldl when linking libdebconfclient, unneeded.
  * Try to create the database files if they don't exist. Closes: #451130.
  * Only link libdebconf.so to libtextwrap, not the applications. However, if
    enabled, explicitly link the newt module to it, instead of resolving the
    symbols indirectly through libdebconf.so.
  * Make debconf --priority actually set the priority.
  * Give live libdebconfclient0 a different short description, making lintian
    happier.
  * Fix dpkg-reconfigure to pass parameters again when calling scripts.
  * Implement dpkg-preconfigure (Closes: #442293).
  * Improve detection of the package name, automatically load the .templates
    file, and run the .config file is they exist. Closes: #537536.
  * Fix memory leak in text frontend.
  * Rework setting of values while running with a frontend, to use debconf-
    relevant settings (e.g. debconf/priority or debconf/frontend).
  * Fix naming collision between handlers in the frontends shared objects.
  * Rework frontend loading to enable change while running, and be more robust.

  [ Colin Watson ]
  * Emit slightly more compact error messages for unknown localised fields.

 -- Regis Boudin <regis@debian.org>  Wed, 10 Aug 2011 18:50:48 +0100

cdebconf (0.156) unstable; urgency=low

  [ Regis Boudin ]
  * Add cdebconf versions of debconf-escape, debconf-get-selections,
    debconf-set-selections, and debconf-show. (Initial debconf-escape code by
    Colin Watson.)
  * Fix FTBFS with the future GCC 4.6.1 (Closes: #625317).
  * Implement handling of multiple flags in the rfc822db backend. Fix some
    issue in it, thanks to Samuel Thibault (Closes: #628084).
  * dpkg-reconfigure :
    + Update g_frontend after each run of confmodule, in case it was changed.
      Closes: #442287.
    + Load the questions and templates dbs before the frontend to avoid being
      overridden by the value of debconf/frontend. See #442287 for more info.
    + Fix call to getline() to stop when reaching the end of the file.
    + Let getline() realloc the buffer instead of freeing it every time.
    + Set _cmdline::frontend instead of DEBIAN_FRONTEND.
    + Compare the variable script instead of the constant string "script" with
      "config".
  * Remove duplicate Priority fields in control file.

  [ Samuel Thibault ]
  * Add -lpthread to fix loading on hurd the gtk backend which needs it.

 -- Regis Boudin <regis@debian.org>  Tue, 28 Jun 2011 20:55:15 +0100

cdebconf (0.155) unstable; urgency=low

  [ Colin Watson ]
  * Appease compiler warnings in align_text_renderer_render.  (In practice
    x_offset and y_offset are never uninitialised here, but knowing that
    requires knowing that cell_area can never be NULL.)
  * Make some more variables and functions static (in programs - no library
    ABI changes).
  * Use 'dpkg-query --control-path' in dpkg-reconfigure rather than
    hardcoding /var/lib/dpkg/info (closes: #616060).
  * Use getline rather than a fixed-length buffer in dpkg-reconfigure
    getfield.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Esperanto (eo.po) by Felipe Castro
  * Korean (ko.po) by Changwoo Ryu
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Uighur (ug.po) by Sahran

 -- Christian Perrier <bubulle@debian.org>  Fri, 22 Apr 2011 22:33:35 +0200

cdebconf (0.154) unstable; urgency=low

  [ Joey Hess ]
  * Support window managed use of the gtk frontend, by asking
    the WM to fullscreen d-i, thus leaving room for decorations etc.
    Closes: #605401 (Patch from Ben Armstrong)

  [ Updated translations ]
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Sat, 12 Feb 2011 20:11:12 -0200

cdebconf (0.153) unstable; urgency=low

  * Fix missing scrolling bar for some very long templates
    Closes: #605924

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Dec 2010 18:21:44 +0100

cdebconf (0.152) unstable; urgency=low

  * Compute stralign cell byte sizes in a separate pass after computing cell
    character widths.  This allows us to add correct per-cell padding of one
    byte per character difference from the maximum cell width.  The previous
    algorithm gave the wrong size when the cell with the longest byte length
    was not the cell with the longest character width (closes: #603459).
  * Don't bother padding cells in the last column.

  [ Updated translations ]
  * Sinhala (si.po) by Danishka Navin

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Nov 2010 11:09:10 +0000

cdebconf (0.151) unstable; urgency=low

  * Do not depends on rootskel-gtk on s390 and s390x.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beirovi
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Anders Jenbo
  * Esperanto (eo.po) by Felipe Castro
  * Persian (fa.po) by Ebrahim Byagowi
  * Icelandic (is.po) by Sveinn  Felli
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Korean (ko.po) by Changwoo Ryu
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Telugu (te.po) by Arjuna Rao Chavala
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 09:57:51 -0200

cdebconf (0.150) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by acathur
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Nepali (ne.po)
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Tamil (ta.po) by Dr,T,Vasudevan
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Borys Yanovych

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Jul 2010 20:35:38 +0200

cdebconf (0.149) unstable; urgency=low

  [ Colin Watson ]
  * Remove unused variable in newt_initialize.
  * Silence compiler warning in dpkg-reconfigure when filling argv.

  [ Cyril Brulebois ]
  * Wrap label in GTK frontend to improve display of help dialogs.
  * Switch udeb from DirectFB to Xlib to prepare the move to an X11-based
    graphical installer (closes: #574285):
    - Replace libgtk-directfb-2.0-dev with libgtk2.0-dev, versioned to
      ensure the new udeb gets a dependency on libgtk-x11-udeb.
    - Bump the Build-Depends on libcairo2-dev to ensure the new udeb gets
      a dependency on libcairo2-udeb.
    - Disable DirectFB includes and dfb_input_device_reload_keymap().
    - Update libraries in pkg-config calls.
    - Set a default cursor after having switched to fullscreen.
  * Many thanks to Julien Cristau for his patches.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Omer Zak
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Wed, 24 Mar 2010 02:07:33 +0100

cdebconf (0.148) unstable; urgency=low

  * Don't depends on rootskel-gtk in s390 since it is not available on
    this arch. This ought to be reverted back once rootskel-gtk is
    available for it.
  * Add ${misc:Depends} in depends fields.
  * Bump Standards-Version to 3.8.4.

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Feb 2010 23:43:17 -0300

cdebconf (0.147) unstable; urgency=high

  [ Colin Watson ]
  * Fix double-dereference of progress title questions in text frontend
    (closes: #568381).

  [ Frans Pop ]
  * Upload with urgency high because of the upcoming D-I release.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Fri, 05 Feb 2010 10:28:57 +0100

cdebconf (0.146) unstable; urgency=low

  [ Joey Hess ]
  * Remove newt screen clearing code. Closes: #442291
  * dpkg-reconfigure: Fix -p to set priority. Closes: #442288
  * dpkg-reconfigure: Fix skipping of seen questions. Closes: #442290
  * dpkg-reconfigure: Run at low priority by default, like perl debconf.
  * dpkg-reconfigure: Support --default-priority and --unseen-only.
  * dpkg-reconfigure: Fix support for -u short option.
  * Rename DEBCONF_PRIORITY to DEBIAN_PRIORITY for compatibility with perl
    debconf. No code uses the old variable name, the manual
    has even been changed long ago not to use it.
  * dpkg-reconfigure: Don't treat config script exit 1 as success.
    Closes: #443760
  * dpkg-reconfigure: Run prerm script to simulate package reinstallation.
    Closes: #469363

  [ Colin Watson ]
  * Add passthrough frontend (see #537523), installed in the deb only since
    I don't think the udeb needs it. This required changing the
    progress_start and progress_info frontend methods to take the title/info
    as a struct question * rather than a const char *; I believe this only
    affects cdebconf-newt-terminal, which I've adjusted to cope in
    cdebconf-terminal 0.6.
  * Upgrade to debhelper v7.
  * Teach debconf-communicate to handle long input lines (over 1024 bytes).

  [ Frans Pop ]
  * newt frontend: improve display of note and error dialogs by inserting a
    blank line between the dialog border and short description.
  * Remove warning that the TITLE command is obsolete as per discussion in
    #560323. Although SETTITLE is normally to be preferred, there are still
    valid use cases for TITLE.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Ask Hjorth Larsen
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by Emmanuel Galatoulas
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Mattias Põldaru
  * Finnish (fi.po) by Esko Arajärvi
  * Galician (gl.po) by Marce Villarino
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po) by Sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Frans Pop
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Vanja Cvelbar
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 00:38:06 +0100

cdebconf (0.145) unstable; urgency=low

  * Use correct debconf template for newt help line when F1-help is
    available.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Basque (eu.po) by Piarres Beobide
  * Italian (it.po) by Milo Casagrande
  * Turkish (tr.po) by Mert Dirik

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jul 2009 16:30:02 +0100

cdebconf (0.144) unstable; urgency=low

  * Drop gtk frontend from default cdebconf package (thanks, Neil Williams;
    closes: #480899).
  * cdebconf-gtk should replace cdebconf (<< 0.144) - forgotten in previous
    upload.

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 Jul 2009 17:42:50 +0100

cdebconf (0.143) unstable; urgency=low

  [ Otavio Salvador ]
  * Move Gtk+ frontend to a separate package to allow installation without
    X . Closes: #480899

  [ Colin Watson ]
  * Add online help support. The "Help" field in a template may refer to
    another template whose description contains help text; frontends may use
    this to display online help on request. Currently implemented for the
    text, newt, and gtk frontends.

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jul 2009 14:32:27 +0100

cdebconf (0.142) unstable; urgency=low

  [ Frans Pop ]
  * "Unbrand" logo file name by using logo_installer instead of logo_debian.
    Requires rootskel-gtk (1.16).

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Jun 2009 15:41:15 +0100

cdebconf (0.141) unstable; urgency=low

  [ Nicolas François ]
  * Add myself as uploader.
  * Fix select screens with the newt frontend. The <Go Back> button was not
    taken into account and overlapped with the select list. Closes: #525209

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Slovak (sk.po) by Ivan Masár

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 24 Apr 2009 10:47:41 +0200

cdebconf (0.140) unstable; urgency=low

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Nicolas François ]
  * src/template.c (remove_newlines): Fix the removal of trailing
    newline for descriptions ending with a verbatim block. This helps
    optimizing the screen usage in the newt frontend.
  * Fix the computation and usage of the window's height. If the height is not
    computed correctly, the newt frontend may decide to put the input box and
    the explanatory text on the same window, but the text will overlap on the
    input box, which renders the input impossible.
    Closes: #508042, #507372, #343119
  * Optimize the screen usage (2 lines) in the newt frontend when a
    description and select menu are on the same windows or when a big select
    menu is displayed on its own window.

  [ Updated translations ]
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Slovak (sk.po) by Ivan Masár

 -- Otavio Salvador <otavio@debian.org>  Sun, 05 Apr 2009 17:36:15 -0300

cdebconf (0.139) unstable; urgency=low

  * Fix potential crash if a configuration file element contains printf
    formatting characters.
  * Remove unnecessary assignment in rfc822db_question_set.
  * Fix pointer arithmetic bug in plugin_iterate that meant that only one
    plugin would ever be returned by CAPB (and probably also caused a minor
    buffer overflow, although not exploitable in the context of d-i).
  * Mark parent halves of confmodule communication pipes close-on-exec.
  * Move newt initialisation into new cdebconf_newt_setup function, exported
    for the benefit of cdebconf-newt-terminal.
  * Export a new cdebconf_newt_get_progress_info function so that
    cdebconf-newt-terminal can reinitialise progress bars (since there's no
    progress_info member in struct frontend, and it won't fit in the obvious
    place without breaking the plugin ABI).

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Marce Villarino
  * Kazakh (kk.po) by daur88
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Feb 2009 20:50:56 +0000

cdebconf (0.138) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Do not drop translations that are defined as fall-back languages for the
    currently selected language. Closes: #502240, #502244.

 -- Frans Pop <fjp@debian.org>  Mon, 01 Dec 2008 06:41:23 +0100

cdebconf (0.137) unstable; urgency=low

  * Fix build system to changes in cairo-directfb packaging:
    - Build-Depends on libcairo2-dev (>= 1.6.4-6.1),
    - Remove specific dh_shlibdeps handling of cdebconf-gtk-udeb.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 14 Oct 2008 01:59:53 +0200

cdebconf (0.136) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Serbian (sr.po) by Veselin Mijušković

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 18:42:18 -0300

cdebconf (0.135) unstable; urgency=low

  [ Jérémy Bobbio ]
  * In GTK+ frontend, do not run a specific handler when the main window is
    closed on normal shutdown.
  * In GTK+ frontend, fix propagation of errors in question handlers.
  * In GTK+ frontend, return an error when the number of options in Choices and
    Choices-C mismatch instead of triggering an assertion failure.
  * In {text,newt}_go(), exit the loop when an error happens in a question
    handler. Closes: #498846.

  [ Updated translations ]
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 14 Sep 2008 19:43:59 +0000

cdebconf (0.134) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Refactor GOBACK handling in newt_go().
  * Refactor GOBACK handling in text_go().
  * Skip error questions when going back in text and newt frontends.
    (Closes: #487691)
  * Use a dynamically allocated rope in strexpand().
    (Closes: #496093)
  * Increase extra fd numbers by 30 in confmodule_run().
    This is necessary as the new method of switching from /dev/console to the
    real device open more file descriptors in the process space.

  [ Colin Watson ]
  * When receiving a new template with DATA, ensure that the corresponding
    question is registered to that template.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * French (fr.po) by Christian Perrier
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Aug 2008 22:17:19 +0200

cdebconf (0.133) unstable; urgency=low

  [ Frans Pop ]
  * Additional tuning of the dark theme in the newt frontend. Patch from
    Samuel Thibault.

  [ Jérémy Bobbio ]
  * Switch to GtkEntry instead of GtkLabel to display progress info underneath
    the progress bar.  The later has issue when displaying combined LTR and
    RTL scripts.  (Closes: #409412)
  * Fix a segfault happening when GOBACK is selected after adding a new
    question to the set previously seen.  (Closes: #407577)
  * Add support for center and right alignment of select and multiselect
    options in the text, newt and GTK+ frontend.  They can respectively be
    achieved by prefixing a column with ${!ALIGN=CENTER} and ${!ALIGN=RIGHT},
    respectively.
  * Change special handling of partman/choose_partition to use the absence of
    '>' as the first character instead of relying on spaces.
  * Fix column alignment support for special questions
    (e.g.  partman/choose_partition).
  * Add tests for the new terminal plugin.

 -- Otavio Salvador <otavio@debian.org>  Fri, 01 Aug 2008 09:27:37 -0300

cdebconf (0.132) unstable; urgency=low

  [ Joey Hess ]
  * Add a separate queue for noninteractive questions, so that things can
    be done when these questions would be displayed. This is a bit hackish;
    debconf's method of letting questions determine if they are interactive or
    not is really better. But this doesn't need huge changes to cdebconf.
  * Handle the special case of a noninteractive select with no (or a bad)
    default the same as debconf does; when such a question is asked,
    set the value to the first item in the select list. 
    Closes: #486892, #247744

  [ Frans Pop ]
  * Apply patch from Samuel Thibault to improve dark theme in newt frontend
    and add support for a dark theme in the text frontend if used with
    "linux" or "bterm" consoles. Closes: #488494.

  [ Updated translations ]
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Italian (it.po) by Milo Casagrande
  * Russian (ru.po) by Yuri Kozlov
  * Turkish (tr.po) by Mert Dirik

 -- Frans Pop <fjp@debian.org>  Wed, 16 Jul 2008 13:34:27 +0200

cdebconf (0.131) unstable; urgency=low

  [ Frans Pop ]
  * gtk frontend: remove special handling for countrychooser/country-name as
    that template no longer exists. Requires: localechooser (>= 2.02).

  [ Max Vozeler ]
  * Fix *_can_align() function signatures to match the prototype.
  * Adapt ncurses, slang and bogl frontends to API changes made in 
    cdebconf 0.129 - q_get_*() and question_get_value().

  [ Jérémy Bobbio ]
  * In the GTK+ frontend, the "Go Back" button is now created before calling
    question handlers.  This allow the button ordering to stay coherent when
    plugins define custom buttons.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam

 -- Frans Pop <fjp@debian.org>  Mon, 12 May 2008 14:56:36 +0200

cdebconf (0.130) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Do not include strutl.h in frontend.h as it is not needed.
    (Closes: #475975)
  * Ship strutl.h in libdebconfclient0-dev for cdebconf plugins using those
    functions.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 14 Apr 2008 23:04:28 +0200

cdebconf (0.129) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add support for "directives" in templates: those are special variables in
    the form ${!DIRECTIVE} which content are returned by the current frontend.
  * Add a new "align" capability to the protocol, currently implemented by the
    text, newt and gtk frontends.  This allows to "columnize" select and
    multisplect questions by using the ${!TAB} directive as a field separator.

  [ Frans Pop ]
  * Remove Martin Sjogren, Matt Kraai and Randolph Chung as Uploaders with
    many thanks for their past contributions.

  [ Jérémy Bobbio ]
  * Right align item numbers in select and multiselect prompts in the text
    frontend.  Thanks Ferenc Wagner for the patch.
  * Bump Standards-Version to 3.7.3, no changes required.

  [ Updated translations ]
  * Marathi (mr.po)
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 08 Apr 2008 20:41:45 +0200

cdebconf (0.128) unstable; urgency=low

  [ Updated translations ]
  * Indonesian (id.po) by Arief S Fitrianto
  * Turkish (tr.po) by Recai Oktaş

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 15 Feb 2008 17:00:32 -0200

cdebconf (0.127) unstable; urgency=low

  [ Colin Watson ]
  * Make PROGRESS fail with a syntax error when given an unknown subcommand.

  [ Jérémy Bobbio ]
  * Correctly handle click on the "Cancel" button during progress operations
    in the GTK+ frontend.  (Closes: #453703)
  * Force cursor to stay on the first column during multiselect questions in
    the GTK+ frontend.  (Closes: #398902)
  * Remove useless debug messages in progress handling of the GTK+ frontend.
    (Closes: #455981)
  * Show progress widgets and restore main title after handling a GO in the
    GTK+ frontend.  (Closes: #464380)
  * Add a case for the previous issue in the "progress" test suite.
  * Correctly handle boolean question without a default in the GTK+ frontend.
    (Closes: #457901)
  * Add a case for the previous issue in the test suite.
  * Remove redundent call to gtk_toggle_button_set_active() when handling
    boolean question in the GTK+ frontend.

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Korean (ko.po) by Changwoo Ryu
  * Latvian (lv.po) by Viesturs Zarins
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Mon, 11 Feb 2008 11:04:14 +0100

cdebconf (0.126) unstable; urgency=low

  * debconf-copydb: Unset DEBCONF_DROP_TRANSLATIONS so that we always copy
    all translations.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Slovak (sk.po) by Ivan Masár

 -- Colin Watson <cjwatson@debian.org>  Mon, 31 Dec 2007 23:07:12 +0000

cdebconf (0.125) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Do not build the GTK+ frontend with -Wcast-align: GTK_PROGRESS_BAR() is
    has alignment problems on hppa, mips and mipsel.
  * Do not hide the gcc command line in globalmakeflags: this makes a lot
    harder for buildd admins to understand build failures.
  * Fix lintian warning debian-rules-ignores-make-clean-error.
  * Bump Standards-Version to 3.7.2.2 (no changes required).
  * Use ${binary:Version} instead of the deprecated ${Source-Version}.
  * Merge duplicate Depends fields for cdebconf.
  * Add myself to Uploaders.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 07 Oct 2007 16:40:38 +0200

cdebconf (0.124) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Load frontend with RTLD_NOW | RTLD_GLOBAL to allow plugins to access
    frontend API without requiring calls to dlsym().  Kudos to Steve Langasek
    for the help to figure this out!
  * Put frontend plugins symbol in the "cdebconf_" namespaces.  The old
    symbols are still looked up as a fallback to ensure compatibility.
  * Fix a memory leak in plugin_new() along the way.
  * Switch the newt frontend to use "cdebconf_newt_" namespace for its API.
  * Rename config-newt.h to cdebconf_newt.h for consistency.  This header
    defines the public interface used by plugins for the newt frontend.
  * Merge changes to the GTK+ frontend from the "fe_gtk" branch:
    - Rewritten codebase, more readable and documented.
    - Switch "Screenshot" button as secondary.
    - Define a clear API for plugins.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 05 Oct 2007 15:51:47 +0200

cdebconf (0.123) unstable; urgency=low

  * Temporarily make the cdebconf package depend on debconf, to avoid anyone
    breaking their systems by removing debconf, which dependencies now allow.
    Closes: #443627
    (This will be removed once the cdebconf transition is complete; see
    #328498)

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Sep 2007 15:21:46 -0400

cdebconf (0.122) unstable; urgency=medium

  * Explicitly link gtk frontend to libdebian-installer.

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Sep 2007 19:14:30 -0400

cdebconf (0.121) unstable; urgency=medium

  * Link newt frontend to slang explicitly, since it calls slang functons
    directly.
  * Link rfc822db backend to libdebian-installer explicitly, ditto.
  * Link libdebconf to libdl, ditto.
  * Needed by new mklibs-readeldf, thus increasing urgency.

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Sep 2007 15:12:44 -0400

cdebconf (0.120) unstable; urgency=low

  [ Frans Pop ]
  * debian/rules: add -l option in the dh_shlibsdep call for the gtk udeb to
    ensure it gets a correct dependency on licairo-directfb2-udeb.
    This means we need an additional build dependency on libcairo-directfb2,
    but no longer need the versioned dependency on dpkg-dev. The same solution
    was chosen for cairo itself and is probably more reliable than depending
    on RPATH in objdump (especially as lintian does not seem to like RPATHs).

  [ Attilio Fiandrotti ]
  * Removed workaround for #407035 because upstream fixed in gtk+ 2.10.x series.

  [ Colin Watson ]
  * Fix reference leak in question_get_text.

  [ Joey Hess ]
  * Call dh_md5sums.

  [ Updated translations ]
  * Bengali (bn.po) by Jamil Ahmed
  * Italian (it.po) by Stefano Canepa
  * Panjabi (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Vietnamese (vi.po) by Clytie Siddall

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 11 Sep 2007 20:17:48 +0200

cdebconf (0.119) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Only update keymap when needed in GTK frontend. Closes: #402126.

  [ Frans Pop ]
  * debian/rules: remove the -l option in the dh_shlibsdep call.
    As it effectively was a no-op before the previous release, it looks like
    it is no longer needed.
  * Add versioned dependency on dpkg-dev (>=1.14.5) because earlier versions
    have a bug in the parsing of rdepends from objdump which makes the gtk
    udeb depend on the wrong library for cairo (cf. #427988).

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 14:45:48 +0200

cdebconf (0.118) unstable; urgency=low

  [ Colin Watson ]
  * Set debconf/translations-dropped to true if translations are permanently
    dropped. (The implementation isn't in exactly the right place; see the
    comment in src/confmodule.c.)
  * It's the 21st century. Move configure.in to configure.ac so that we use
    autoconf >= 2.50.
  * Fix broken --without-rpath configure option.
  * Clean up configure.ac quoting and message emission.
  * Use printf rather than echo to send commands to cdebconf, to avoid
    breaking escaped commands if /bin/sh is dash (cf. #306134).
  * Avoid using non-XSI local variables; instead use a nasty temporary IFS
    setting hack and _db_local_ namespace (cf. #242011).
  * Don't define db_stop twice in shell confmodule.

  [ Attilio Fiandrotti ]
  * DirectFB specific lines of code are compiled in only if DI_UDEB was
    defined at configure time.

  [ Frans Pop ]
  * debian/rules: fix path to libcairo-directfb libs for dh_shlibsdep call.

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Wed, 04 Jul 2007 19:25:18 +0200

cdebconf (0.117) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * gtk.c: remove some compatibility conditions that are no longer needed.
    Closes: #427657.
  * Removed workaround for #404482, fixed upstream in gtk+ release 2.10.13.

  [ Otavio Salvador ]
  * Reduce the usage of casting to struct frontend_data on GTK frontend
    code. Closes: #426745.

  [ Colin Watson ]
  * Remove five function pointers in every struct template that always
    pointed to the same functions (or were entirely unused, in the cases of
    get and set); export those functions from template.c instead.
  * Fix off-by-one error reading from confmodule (thanks, Baruch Even;
    closes: #430108).
  * Document proposed PROGRESS REGION command.
  * Fix a bunch of reference-counting bugs and other memory leaks.
  * If DEBCONF_DROP_TRANSLATIONS is set to 1, then don't read translations
    we aren't going to use, and reload the templates database if the
    language is changed since we might not have the correct translations in
    memory any more. This saves around 20MB of memory at d-i run-time
    (closes: #329743). Note that this means that after the templates
    database is first saved (in practice, after anna has run), it will no
    longer be possible to change the language and get translated messages.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jun 2007 20:44:38 +0100

cdebconf (0.116) unstable; urgency=low

  [ Frans Pop ]
  * Increase TITLE_PADDING to 9 to allow for all extra characters around the
    title (newt frontend). Closes: #416543.

  [ Colin Watson ]
  * Restore newt help line to its original colours after displaying errors;
    compare #317354.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Mon, 21 May 2007 16:34:28 +0200

cdebconf (0.115) unstable; urgency=low

  [ Colin Watson ]
  * Add myself to debian/copyright as I have a fair bit of code in here.
  * Update copyright notice to 2007.

  [ Joey Hess ]
  * Multiply menu-item-numbers by 100

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:31:15 -0400

cdebconf (0.114) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Fix display of text in info box for gtk frontend. Closes: #408435.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen A
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:39:56 +0100

cdebconf (0.113) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * For SELECT and MULTISELECT questions, only update the debconf database if
    the user presses <Ok>. Closes: #407205.
  * Workaround for crash when performing drag'n'drop of text (experienced with
    gtk/dfb 2.8.20). Closes: #407035.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Latvian (lv.po) by Aigars Mahinovs
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:26:06 +0100

cdebconf (0.112) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * The cursor is now "I" shaped only when over a text input box, this is a
    workaround to a gtk/dfb bug. Closes: #404482.
  * Removed an old workaround due to gtk_tree_path_new_from_indices() lacking
    in gtk+ 2.0, code cleanup.

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Sat,  6 Jan 2007 10:34:56 +0100

cdebconf (0.111) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * For SELECT handlers, properly manage those cases where the default option
    exists multiple times. Closes: #402661.
  * Only set the title of questions and progress bars once; reset the title of
    a progress bar after a question has been asked while one is running.

 -- Frans Pop <fjp@debian.org>  Sat, 16 Dec 2006 17:57:12 +0100

cdebconf (0.110) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Create buttons in GTK frontend inactive and hide them while the
    progressbar runs. Closes: #400124.
  * Avoid crash in GTK frontend in some cases during language selection.
    Closes: #401871.

  [ Colin Watson ]
  * Restore newt progress bar refactoring, this time with an extra tweak to
    tear down the old progress bar if you attempt to start a nested progress
    bar. (Don't do that; it's not supported and trying to use the outer
    progress bar after stopping the inner one will result in cdebconf
    silently sitting there at a black screen. However, partman-auto does
    this at the moment. See #391676.)

  [ Petter Reinholdtsen ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Basque (eu.po) by Piarres Beobide
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 01:13:33 +0100

cdebconf (0.109) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Disable the screenshot button before gtk_go() returns. Closes: #396071.
  * Change handler for BOOLEAN questions in GTK frontend to use radiobuttons
    instead of a checkbox. Closes: #395052.
  * Make sure the default choice for countrychooser/country-name is correctly
    preselected by the GTK frontend's special handler. Closes: #397877.
  * Fixed scrolling to default option in GTK frontend for SELECT questions.
    Closes: #340007.
  * Remove code belonging to ancient SELECT and BOOLEAN handlers which are
    no longer used.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Esperanto (eo.po) by Serge Leblanc
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 14:23:39 +0100

cdebconf (0.108) unstable; urgency=low

  * Revert refactoring of progress bar in newt frontend. Closes: #391676.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Catalan (ca.po) by Jordi Mallach
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Indonesian (id.po) by Arief S Fitrianto
  * Kurdish (ku.po) by Erdal Ronahi
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Romanian (ro.po) by Eddy Petrișor
  * Tamil (ta.po) by Damodharan Rajalingam
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 14:01:53 +0200

cdebconf (0.107) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * A double click on a tree leaf is now equivalent to selecting it and
    pressing continue. Closes: #382357.

  [ Frans Pop ]
  * cdebconf/udeb: add debconf/language template and set default language for
    the installer to "en" (#381142).

  [ Updated translations ]
  * Greek (el.po) by quad-nrg.net
  * Estonian (et.po) by Siim Põder
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Macedonian (mk.po) by Georgi Stanojevski
  * Albanian (sq.po) by Elian Myftiu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Fri,  6 Oct 2006 02:27:00 +0200

cdebconf (0.106) unstable; urgency=low

  [ Denis Barbier ]
  * Change select, multiselect and button colors for the newt interface
    when FRONTEND_BACKGROUND=dark, to improve text readability.

  [ Attilio Fiandrotti ]
  * Fix buffer overflow spotted by Aike Reyer <aike@users.sourceforge.net>
    in the GTK frontend. Closes: #386752.
  * GTK frontend: force DirectFB to reload keymap at every frontend_go() run.
    This will ensure that we have the correct keymap after the user selects
    one in kbd-chooser. This solution is a workaround until we can implement
    a reload triggered from kbd-chooser, which would be cleaner.
    Closes: #381979.

  [ Colin Watson ]
  * Refactor newt frontend to have a single common function to build the
    progress bar form, which redraws the progress bar when the
    progresscancel state changes (closes: https://launchpad.net/bugs/47733).
  * Allow Choices-C to be listed separately from Choices (etc.) in templates
    files. This lets you say "Choices: ${CHOICES-TRANS}" and "Choices-C:
    ${CHOICES}" to substitute reliably into translated and untranslated
    templates without having to ensure that ${CHOICES-TRANS} is translated
    to the same thing in every language.
  * X_LOADTEMPLATEFILE now takes an optional owner argument, passed to it by
    debconf-loadtemplate.
  * Add debconf_x_save and debconf_info macros to debconfclient.h.
  * debconf-loadtemplate now tells debconf to save its databases immediately
    after loading templates files; this can make debugging easier under some
    circumstances.

  [ Frans Pop ]
  * GTK frontend: don't print an extra ellipsis in the progress bar. Thanks
    to Jens Seidel for spotting this.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Frans Pop <fjp@debian.org>  Sun, 24 Sep 2006 15:08:33 +0200

cdebconf (0.105) unstable; urgency=low

  [ Colin Watson ]
  * Make DEBCONF_DEBUG=developer be equivalent to DEBCONF_DEBUG=5, for
    compatibility with debconf (not perfect, but this is a common case).

  [ Joey Hess ]
  * Patch from Davide Viti to make newt frontend display errors with a help
    bar that's not blue. Closes: #317354

  [ Frans Pop ]
  * Switch gtk frontend to build using gtk+2.0 2.8 libs.
  * Increase TITLE_PADDING to allow for vertical bars that delimit the border
    in the title. Thanks to Davide Viti. Closes: #382278.

  [ Updated translations ]
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Estonian (et.po) by Siim Põder
  * Gujarati (gu.po) by Kartik Mistry
  * Khmer (km.po) by Khoem Sokhem
  * Panjabi (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Fri, 11 Aug 2006 19:24:58 +0200

cdebconf (0.104) unstable; urgency=low

  * Rebuilt with libtextwrap1 0.1-5 to get proper library udeb dependency.

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jun 2006 23:51:08 -0400

cdebconf (0.103) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * GTK frontend: don't display the description for BOOLEAN questions twice.
    Closes: #370172
  * GTK frontend: manage double-clicks and ENTER or SPACEBAR presses in
    SELECT questions.

  [ Joey Hess ]
  * Newt frontend layout fixes:
    - Allow for the up to 5 extra characters of window width that can be
      needed for titles due to the sigil and whitespace around it.
    - Text and password entry boxes have continue buttons, so take the width
      of those buttons into account.
    Closes: #324495
  * Patch from Sesse to fix support for preserving utf-8 (and other)
    fields when copying to debconf database files. Closes: #361872

  [ Frans Pop ]
  * debconf-copydb.c: remove setenv statement that disables i18n support as
    that statement still causes the debconf database in /target to be trashed.

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll

 -- Frans Pop <fjp@debian.org>  Wed, 21 Jun 2006 13:47:47 +0200

cdebconf (0.102) unstable; urgency=low

  * Add a dirty flag to rfc822db, so that we don't have to save databases if
    no changes occurred. Should make time between installer menu steps a lot
    shorter, since the templates database is not generally modified.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Italian (it.po) by Giuseppe Sacco
  * Northern Sami (se.po) by Børre Gaup
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Attilio Fiandrotti <fiandro@tiscali.it>  Sun, 11 Jun 2006 12:33:19 +0200

cdebconf (0.101) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Removed arrows from GTK frontend buttons as they look ugly with RTL
    languages.

  [ Christian Perrier ]
  * Split out _Choices to __Choices in templates.

  [ Max Vozeler ]
  * Add question_get_variable() function to lookup the value of template
    variables.
  * Mention plugin examples and note about using exported functions where
    possible in doc/plugins.txt.

  [ Frans Pop ]
  * Look first in /usr/lib/directfb when determining dependencies to obtain
    correct deps from cdebconf-gtk-udeb.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Safir Secerovic
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Fri, 12 May 2006 07:33:04 +0200

cdebconf (0.100) unstable; urgency=low

  [ Colin Watson ]
  * Stop processing frontend options once the config script name is
    encountered.
  * Make the confmodule pass -- as the first argument to the frontend to
    make absolutely sure that the config script doesn't get misinterpreted
    as an option.

  [ Attilio Fiandrotti ]
  * Added GTK version check at compile time to selectively enable some GTK
    frontend features.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Basque (eu.po) by Piarres Beobide
  * Irish (ga.po) by Kevin Patrick Scannell
  * Khmer (km.po) by hok kakada
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Cuhalev
  * Tamil (ta.po) by Damodharan Rajalingam

 -- Frans Pop <fjp@debian.org>  Mon, 10 Apr 2006 00:09:07 +0200

cdebconf (0.99) unstable; urgency=low

  * Rebuilt with new libd-i to get correct udeb library dependencies.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:44:38 -0500

cdebconf (0.98) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Workaround for a GTKDFB bug that causes first pixels of sentences
    to be sometimes cutted away, thanks to Davide Viti and Mohammed
    Adnène Trojette for finding this bug.
  * Added support for PROGRESSCANCEL command to the GTK frontend, whose
    GTK signals handling system is now asynchronous (closes: #322381).
  * Buttons in the GTK frontend are now translated also if progressbar
    is started before a question is asked (closes: #355804).
    Set to NULL a forgot pointer, updated some code comments.

  [ Joey Hess ]
  * Add shlibs line for libdebconfclient0-udeb.
  * Drop libdebconfclient0-udeb's provide of libdebconfclient0, since
    it's on the initrd and packages will get correct deps as they're
    recompiled against this.

  [ Colin Watson ]
  * Honour accept_types/reject_types for questions registered against
    templates that were received in DATA commands over passthrough. This was
    one of the root causes of Ubuntu's recent installer password disclosure
    vulnerability (CVE-2006-1183).
  * Reset question template pointers whenever they change, not just when the
    tag changes; do this in X_LOADTEMPLATEFILE and dpkg-reconfigure as well
    as debconf-loadtemplate.
  * Add a remove method to the question database; use this to migrate
    questions to the correct stacked database in the event that their types
    change (fixes preseeded passwords ending up in questions.dat on the
    installed system in some cases; closes: #356845).

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Hungarian (hu.po) by SZERVÑC Attila
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Mar 2006 15:48:51 -0500

cdebconf (0.97) unstable; urgency=low

  * Install debconf-communicate in cdebconf.deb.
  * Avoid stdio buffering in debconf-communicate.
  * Add -f/--frontend option to debconf-communicate.
  * Treat 'noninteractive' frontend as an alias for 'none', for
    compatibility with debconf.
  * Set frontend title to "" on initialisation to avoid segfaults in
    debconf-communicate.
  * Fix frontend_go return code so that GO works in the noninteractive
    frontend.

 -- Colin Watson <cjwatson@debian.org>  Tue, 31 Jan 2006 11:53:57 +0000

cdebconf (0.96) unstable; urgency=low

  [ Frans Pop ]
  * Fix crash when console is switched in gtk-frontend (closes: #339379).
    Continue processing when interupt is received from DirectFB while the
    read function is blocked while listening to the client.
    Thanks to Denis Oliver Kropp for helping debug this issue.

  [ Denis Barbier ]
  * Change colors in the newt frontend to have a black background if the
    FRONTEND_BACKGROUND environment variable is set to "dark".  Some people
    can hardly read on a white background (closes: #330418).

  [ Attilio Fiandrotti ]
  * GTK theme from gtkrc file is reloaded every time a question is displayed.
    Minor typos were fixed.
  * BG colour of questions description and extended description in the GTK
    frontend is the same of the main window.
  * Reorganized the GTK frontend code before switching specialized question
    handlers to the plugin system.

  [ Colin Watson ]
  * Fix early return from text_progress_set, broken by progress bar
    cancellation.
  * Add 'cdebconf' extension to man pages to avoid clashing with
    debconf-doc.
  * Actually set TARGET during install target, as apparently expected by
    src/Makefile.in, so that we don't try to install includes into udebs
    (although luckily we failed to do so due to dh_install).
  * Move cdebconf binaries to /usr/lib/cdebconf, leaving symlinks in
    /usr/bin and /usr/sbin behind only in the udeb; drop
    /usr/share/debconf/confmodule and /usr/share/debconf/frontend from the
    deb. This renders cdebconf coinstallable with debconf, although changes
    to the debconf confmodule are required to make it actually useful.
  * Remove cdebconf preinst and postrm, no longer required.
  * Remove dpkg-reconfigure from the udeb; d-i apparently hasn't used it
    since main-menu 0.018. Saves about 4KB.

  [ Updated translations ]
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Romanian (ro.po) by Eddy Petrişor
  * Slovenian (sl.po) by Jure Cuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Jan 2006 09:58:17 +0000

cdebconf (0.95) unstable; urgency=low

  [ Colin Watson ]
  * Add progress bar cancellation support, only in the newt frontend for
    now. If you send 'CAPB progresscancel', then PROGRESS SET, PROGRESS
    STEP, and PROGRESS INFO may return 30 to indicate that the user
    cancelled the progress bar (closes: #250463).

  [ Attilio Fiandrotti ]
  * Localise back/forward buttons on frontend initialisation rather than on
    GO (closes: #347918).

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Dutch (pa_IN.po) by Amanpreet Singh Alam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Jan 2006 15:15:30 +0000

cdebconf (0.94) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Removed no longer needed INFO() lines from the GTK frontend to prevent
    syslog pollution.
  * GTK frontend is now able to display obj->info message (closes: #341054).

  [ Tollef Fog Heen ]
  * Return DC_NOTIMPL if a question type isn't implemented, instead of
    silently skipping the question.  (Patch taken from0.74ubuntu5, written
    by Matthias Urlichs.)

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Finnish (fi.po) by Tapio Lehtonen
  * Hebrew (he.po) by Lior Kaplan
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Wed, 11 Jan 2006 23:04:27 +0100

cdebconf (0.93) unstable; urgency=low

  [ Frans Pop ]
  * Add versioned dependency on rootskel-gtk for gtk udeb.

  [ Colin Watson ]
  * Fix question reference leak in question_db_disownall.
  * Copy questions and templates while constructing iterators for them in
    rfc822db; failing to do this meant that it was unsafe to modify the
    database while iterating over it. With any luck this should fix a crash
    while handling the PURGE command, although it will make anything that
    iterates over databases use somewhat more memory.

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Dec 2005 15:28:04 +0000

cdebconf (0.92) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Fixed some GTK frontend minor memory leaks and some widgets alignment.
  * Now also the GTK frontend, like the NEWT frontend, allows the user to go
    back by pressing the ESC key (closes: #339857).
  * Added a button in the main screen that allows the user to take screenshots
    in PNG format.
  * Added a couple of entries in cdebconf-gtk-udeb.templates to localize
    screenshot button and message for the GTK frontend and made it use them.
  * Improved visibility of screenshot popup message and disabled screenshot
    button while progressbar runs.

  [ Frans Pop ]
  * Add Standards-Version: back in; cdebconf also provides regular packages.

  [ Tollef Fog Heen ]
  * Move get_text common function from the text and newt frontend to
    question.h, likewise for convenience macros to question.h
  * Make it possible for frontend modules to chain onto the install
    Makefile rule
  * Rename some convenience functions in newt.c and unstaticify them, as
    they are quite convenient when writing plugins.
  * Install a useful set of headers so it's actually possible to build
    plugins outside the cdebconf tree.

  [ Christian Perrier ]
  * Add comments for translators in templates

  [ Colin Watson ]
  * Make DEBCONF_DEBUG=. be equivalent to DEBCONF_DEBUG=20, to make it
    easier to debug cdebconf and debconf simultaneously.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Icelandic (is.po) by David Steinn Geirsson
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Latvian (lv.po) by Aigars Mahinovs
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Dutch (nl.po) by Frans Pop
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja

 -- Frans Pop <fjp@debian.org>  Mon, 26 Dec 2005 15:58:39 +0100

cdebconf (0.91) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Fixed some memory leaks in GTK frontend.
  * If no default option(s) in SELECT and MULTISELECT is specified the first
    row gets selected by default.
  * Updated TODO doc file to reflect GTK frontend's staus.
  * Removed old and no longer needed lines of code.

  [ Frans Pop ]
  * libgtk+2.0-directfb-dev takes proper care of dependencies now.
  * Remove Standards-Version:, not applicable to udebs.

 -- Frans Pop <fjp@debian.org>  Mon,  7 Nov 2005 15:38:17 +0100

cdebconf (0.90) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Display short description above long description for notes and errors.
  * Skip description of questions during TAB navigation.
  * Improved packaging for multiple questions.
  * Fixed progress bar resume after interruption by question.

  [ Frans Pop ]
  * Make build dependency on gtk+2.0-directfb versioned.

 -- Frans Pop <fjp@debian.org>  Fri,  4 Nov 2005 17:41:42 +0100

cdebconf (0.89) unstable; urgency=low

  * Add dependency on libgtk2.0-dev back in.

 -- Frans Pop <fjp@debian.org>  Fri,  4 Nov 2005 00:42:06 +0100

cdebconf (0.88) unstable; urgency=low

  [ Colin Watson ]
  * Remove hardcoded limit on length of DATA commands.

  [ Attilio Fiandrotti ]
  * Added a new handler for SELECT question that are better displayed by
    a tree rather than a list. Added a nice logo. Closes: #322376.
  * Some changes to GTK frontend aspect to make it more NEWT-like and
    many improvements to usability too.
  * Added a new handler for single MULTISELECT questions to GTK frontend.
    Added also icons to NOTE and TEXT questions and introduced an hack
    that makes partman's main screen look like a tree of drives and
    partitions.
    Swapped text inside progressbar and text beow it to make fast messages
    more readable.
  * Removed old hacky code and cleaned up wigdets packaging order and style.
  * Finally moved the progressbar in an appropriate place.

  [ Frans Pop ]
  * Unset seen flag in cdebconf-priority postinst to make the dialog
    show up when priority was set from boot parameters (closes: #331677).
  * Build GTK frontend against directfb instead of X.
  * Add myself to uploaders.

 -- Frans Pop <fjp@debian.org>  Thu,  3 Nov 2005 22:51:59 +0100

cdebconf (0.87) unstable; urgency=low

  [ Attilio Fiandrotti ]
  * Until bug #322460 and #322464 are solved the main-menu hack is disabled
    by default.
  * A lot of modifications to make the frontend GNOME HIG 2.0 compliant.

  [ Colin Watson ]
  * Fix slightly broken memory allocation in escapestr(); we need to
    allocate an extra byte for every newline in the string.
  * Update some obsolete function names in comments.

  * Updated translations:
    - Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Colin Watson <cjwatson@debian.org>  Fri, 23 Sep 2005 15:23:24 +0100

cdebconf (0.86) unstable; urgency=low

  * If a template name ending in -C is requested (e.g. via METAGET), return
    the untranslated template regardless of the locale.

  * Updated translations:
    - Czech (cs.po) by Miroslav Kure
    - Italian (it.po) by Giuseppe Sacco
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Slovak (sk.po) by Peter Mann

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Sep 2005 19:09:04 +0100

cdebconf (0.85) unstable; urgency=low

  [ Colin Watson ]
  * Initialise all fields of the gtk frontend data. Should fix several
    crashes.
  * Don't crash if display_dummy_main_menu() is called while we don't have a
    main-menu tag, e.g. if a progress bar is started before asking any
    questions at high priority. This is just a hack; Attilio needs to
    investigate the right solution. Reducing the amount of hardcoding of
    main-menu would be nice ...
  * Don't bother to save the target templatedb in debconf-copydb unless any
    templates were actually changed.
  * Make debconf-loadtemplate check whether each question is registered to
    some different template and, if so, re-register them to the loaded
    template. This causes preseeded-as-seen questions to be displayed using
    their real templates rather than debian-installer/dummy.

  [ Tollef Fog Heen ]
  * When copying questions in debconf-copydb, make sure that the template
    referred to exists in the target database.

  [ Attilio Fiandrotti ]
  * Better and more flexible questionbox widget packing system.
  * The main-menu hack can now be disabled at compile time.
  * Committed a patch by Eugeniy Meshcheryakov to the GTK frontend to
    properly display RTL-written languages (closes: #327892).
  * Back and Forward buttons are now localized (closes: #322461).

 -- Colin Watson <cjwatson@debian.org>  Sat, 17 Sep 2005 17:37:18 +0100

cdebconf (0.84) unstable; urgency=low

  * Fix horrible argv initialisation code in gtk frontend.
  * Add gtk frontend to cdebconf.deb; enable cdebconf-gtk-udeb.
  * Fix some compiler warnings in gtk frontend.
  * Reap child processes when SIGCHLD is received, otherwise we may hang in
    read().

  * Updated translations:
    - German (de.po)
    - Basque (eu.po)
    - Persian (fa.po) by Arash Bijanzadeh
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Fri,  5 Aug 2005 14:10:28 +0100

cdebconf (0.83) unstable; urgency=low

  * Disable flow control in the newt frontend. It's very confusing when you
    press Ctrl-S by accident and wonder why the installer stopped accepting
    input.
  * Fix memory leak in confmodule_communicate.

  * Updated translations:
    - German (de.po) by Dennis Stampfer
    - Esperanto (eo.po) by Serge Leblanc
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarre Beobide Egaña
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Macedonian (mk.po) by Georgi Stanojevski
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Yuri Kozlov
    - Slovenian (sl.po) by Jure Čuhalev
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2005 11:26:08 +0100

cdebconf (0.82) unstable; urgency=low

  [ Colin Watson ]
  * Simplify strchoicesplit() slightly.
  * Use (char *) 0 as the sentinel to strvacat(), not just 0; this makes a
    difference on some 64-bit systems.
  * Perform printf format string (requires gcc) and sentinel (requires gcc
    >= 4) checking on various function arguments.

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Arief S Fitrianto
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Slovak (sk.po) by Peter Mann
    - Tagalog (tl.po) by Eric Pareja
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 16:41:32 +0300

cdebconf (0.81) unstable; urgency=low

  * Colin Watson
    - When building the slang frontend against slang2, enable UTF-8
      according to the locale.
    - Add a continue button to string and password questions in the newt
      frontend, although you can still just press Enter in the text entry
      box (closes: #257969).
    - Document <Tab>, <Space>, and <Enter> in a help line for the newt
      frontend (closes: #247233).
    - Do much less work in the frontend's SIGCHLD handler; instead, just
      tell confmodule_communicate() to return at the next opportunity. This
      is only a quick patch to sort out hangs with Linux 2.6.12 on (at
      least) amd64, and cdebconf's signal handling needs a total revamp.
  * Updated translations:
    - Catalan (ca.po) by Guillem Jover
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - French (fr.po) by Christian Perrier
    - Portuguese (pt.po) by Miguel Figueiredo

 -- Colin Watson <cjwatson@debian.org>  Thu, 30 Jun 2005 19:26:46 +0100

cdebconf (0.80) unstable; urgency=low

  * Colin Watson
    - Stop hardcoding configdb and templatedb in stack database
      initialisation.
    - Use question_db_new instance parameter in debconf-copydb and
      debconf-dumpdb rather than messing with the DEBCONF_CONFIG environment
      variable.
    - Constify question_db_new instance parameter.
    - If DEBCONF_NO_I18N=1 is set in the environment, ignore localised
      fields in templates. This is a hack to let debconf-copydb and
      debconf-dumpdb work with template databases produced by debconf.
    - Look at config::instance::*::template to find out which template
      database to use when reading a given config database (which makes a
      difference for questions created using REGISTER). This is only used by
      debconf-copydb and debconf-dumpdb right now, and the global template
      database is retained as a fallback.
    - Add template instance for the debconf database in /target to the
      distributed cdebconf.conf, and associate it with target_configdb.
    - Remove assumption that RFC822 lines are no more than 8192 bytes long:
      the config entry for console-data/keymap/full violates that. In the
      process, consolidate the multiple duplicate definitions of
      unescapestr() and escapestr() into one place.
    - Merge old and new owner lists when setting a question in rfc822db,
      rather than overwriting the old owners. Add to-do entry for other
      databases.
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team

 -- Colin Watson <cjwatson@debian.org>  Wed, 15 Jun 2005 19:21:50 +0100

cdebconf (0.79) unstable; urgency=low

  * Attilio Fiandrotti
    - Remove old experimental code that was no longer needed.
    - Minor changes in main menu appearance.
    - Single SELECT questions are now handled with a GTKTreeView widget.
  * Colin Watson
    - When starting up a client, try talking to stdout if fd 3 isn't open
      (closes: #287036).

 -- Colin Watson <cjwatson@debian.org>  Mon,  6 Jun 2005 16:43:37 +0100

cdebconf (0.78) unstable; urgency=low

  * Brad Hards
    - Use NEWT_FLAG_PASSWORD rather than NEWT_FLAG_HIDDEN for password
      questions, so that feedback is provided using asterisks (Ubuntu bug
      #7695).
  * Attilio Fiandrotti
    - Enhanced gtk frontend with support for always displaying the main
      menu and "jumping" between menu items. Lots of other changes.
  * Colin Watson
    - Add iterate methods to the stack database module.
    - Throw "100 internal error" if a frontend's go() method returns
      DC_NOTOK.
    - Log a warning and fall back to displaying an unsorted list if a
      template's Indices don't match its Choices, namely too few indices or
      an index out of range (closes: #309667).
    - Provide a real alternative for the build-dependency on the virtual
      libdebian-installer-dev.
    - Don't warn about TITLE with an empty argument; debconf tends to send
      this over passthrough when starting up.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po)
    - Hebrew (he.po) by Lior Kaplan
    - Italian (it.po) by Giuseppe Sacco
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes

 -- Colin Watson <cjwatson@debian.org>  Tue, 31 May 2005 17:02:14 +0100

cdebconf (0.77) unstable; urgency=low

  NOTE: Not for sarge.
  * Colin Watson
    - Implement plugins (custom widgets). See doc/plugins.txt for details.
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Russian (ru.po) by Yuri Kozlov
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Tue,  3 May 2005 12:01:58 +0100

cdebconf (0.76) experimental; urgency=low

  NOTE: Not for sarge.
  * Colin Watson
    - Add draft plugins specification.
    - Append '\n' to debug messages automatically when printing to stderr,
      so that they aren't needed in every string.
    - Tidy up libdebconfclient namespace: rename debconf_commandf to
      debconfclient_commandf and make it static. Doesn't seem to affect any
      current users, and if it does, they should have been using
      debconf->commandf() instead.
    - Sync from debconf (closes: #266898):
      + Change the shell confmodule to not construct functions on the fly.
        The new code is smaller, a bit faster, and simpler, but the
        important thing is that it does not clobber $@. The old version
        messed up $@ if parameters contained spaces.
    - Add config instances for the standard debconf databases in /target, so
      that we can do 'debconf-copydb -p foo/bar configdb target_configdb'
      once the base system is installed.
    - Remove src/cdebconf.conf-dist on distclean.
    - Fix some of the build issues with the corba frontend, although it
      still doesn't even remotely build or work.
    - Fix compiler warning in slang frontend.
    - Allocate choices, choices_translated, defaults, and selected
      dynamically in slang frontend, fixing a crash bug.
    - Set up slang select/multiselect windows so that the first selected
      option is always visible (closes: #183541).
    - Improve how titles are displayed in the text frontend: set titles off
      with an underline, and only display a title if it's different from the
      previous one (closes: #281395).
  * Matthias Urlichs:
    - Clarify ANS: lines in test.config output.
    - Set _cmdline::frontend rather than frontend::default::driver in
      response to 'debconf -f <frontend>', fixing that.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Apr 2005 11:19:04 +1000

cdebconf (0.75) experimental; urgency=low

  NOTE: Not for sarge.
  * Colin Watson
    - Add an INFO command, which may (depending on the frontend) display an
      out-of-band informative message. Unlike inputting a note, this doesn't
      require an acknowledgement from the user. Like PROGRESS INFO,
      frontends should display the info persistently until some other info
      comes along. In the newt frontend, this appears as text at the top
      left-hand corner of the screen; no other frontends implement it yet.
    - Fix text frontend segfault when encountering empty elements in Choices
      field (closes: #256557).
    - Fix memory leaks in METAGET, PROGRESS, and SETTITLE commands.
    - Make the text frontend output a blank line before the first title in
      go() if it was already displaying a progress bar (closes: #271707).
    - If possible, clean source directory in 'debian/rules clean' so that
      test builds don't make it into source packages.
    - cdebconf-udeb provides debconf-2.0.
    - Enable stack driver.
    - Move answers to password questions out of
      /var/lib/cdebconf/questions.dat to /var/lib/cdebconf/passwords.dat.
    - Some const-correctness improvements.
    - Add iterate methods to rfc822db, making debconf-copydb and
      debconf-dumpdb work (closes: #213266). This uses a horrible
      non-thread-safe technique involving building a temporary list with a
      pointer to each node in order, which will of course use a fair amount
      of memory, because the twalk() interface doesn't allow for anything
      better. If we ever switch to a completely different cache mechanism,
      this can go away.
    - Fix option parsing in debconf-copydb, debconf-dumpdb, and
      dpkg-reconfigure.
    - Implement -p/--pattern option in debconf-copydb and debconf-dumpdb.
      Note that, unlike Perl debconf, this takes an extended regular
      expression rather than a Perl regular expression, but it should be
      close enough for most uses.
    - Make --without-syslog-logging (a) work and (b) be the default. (The
      udeb build still uses syslog logging.)
  * Joey Hess
    - Apply patch from Denis to fix rfc822db to not output empty Value fields
      if the value is not set. Closes: #257180
    - Patch from mdz to support the DATA command, as used by the (perl)
      debconf passthrough frontend (as patched by mdz to work as of debconf
      1.4.42). This allows dpkg-reconfigure inside the chroot to communicate
      with the user using the existing cdebconf d-i frontend.
  * Matthias Urlichs
    - Check for newtInit() in configure, and build the newt frontend if
      found.

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Apr 2005 09:38:37 +1000

cdebconf (0.74) unstable; urgency=low

  * Colin Watson
    - Fix a couple of compiler warnings in the stack driver.
    - Set config_passwd_db path in example cdebconf.conf to passwords.dat
      rather than templates.dat.
    - Attempt to read cdebconf.conf configuration tags with quote-removal
      (strparsecword) and only try without quote-removal (strparsequoteword)
      if that fails. The strange function naming wasn't my idea ... Fixes
      incorrect parsing of stack driver parts of example cdebconf.conf.
    - Initialise next pointers in template/question stacks properly.
    - Implement accept_types and reject_types in stack driver.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Jan 2005 18:27:54 +0000

cdebconf (0.73) unstable; urgency=low

  * Colin Watson
    - Set NEWT_FLAG_RETURNEXIT on multiselect checkboxes (closes: #252751).
    - Fix compiler warning in text frontend.
    - gtk frontend work:
      + Set window title on GO.
      + Make cdebconf-gtk-udeb packaging work (still not built by default).
      + Make the Forward button the default widget, so that pressing Enter
        activates it.
    - Make the value of DEBCONF_OLD_FD_BASE available via the shell
      confmodule.
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team

 -- Colin Watson <cjwatson@debian.org>  Mon,  6 Dec 2004 10:54:47 +0000

cdebconf (0.72) unstable; urgency=low

  * Colin Watson
    - gtk frontend work (not built for sarge, so no risk):
      + Allocate choices, choices_translated, and defvals dynamically. Fixes
        several crash bugs.
      + Fix a type mismatch that generated a compiler warning.
      + Disable help popup on multiselects, since it made it impossible to
        actually select anything. Ditto on password keyboard focus grab.
      + Implement the text type, just as an alias of note for now.
      + Drop the old back/continue buttons entirely, as they only appear
        sometimes and having both them and the druid-style buttons is very
        confusing. Fix sensitivity of druid-style buttons.
  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Latvian (lv.po) by Aigars Mahinovs
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:20:44 -0400

cdebconf (0.71) unstable; urgency=low

  * Colin Watson
    - Fix some compiler warnings.
    - cdebconf conflicts with debconf-doc (closes: #274795).
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Steve Langasek
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Indonesian (id.po) by Debian Indonesia Team
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Colin Watson <cjwatson@debian.org>  Mon,  4 Oct 2004 13:45:59 +0100

cdebconf (0.70) unstable; urgency=low

  * Bastian Blank
    - Don't close neccesary fds.
    - Move fds to 20+, bterm give us 6.
    - Catch SIGCHLD.
    - Make SIGCHLD shutdown transparent.
    - Always call newt shutdown sequence.

 -- Bastian Blank <waldi@debian.org>  Sat, 24 Jul 2004 10:06:59 +0200

cdebconf (0.69) unstable; urgency=low

  * Bastian Blank
    - Autogenerate confmodule and commands list.
    - Restore saved stdout instead of stderr in debconfclient and confmodule.
    - Change DC_OK to 0.
    - Fix save.
    - Fix shoutdown of newt frontend.

 -- Bastian Blank <waldi@debian.org>  Sat, 17 Jul 2004 18:38:40 +0200

cdebconf (0.68) unstable; urgency=low

  * Bastian Blank
    - Use debhelper udeb support.
    - Cleanup build system.
    - Add X_SAVE command, replaces SIGUSR1.
    - Return exit code from frontend.

 -- Bastian Blank <waldi@debian.org>  Sat, 10 Jul 2004 19:04:20 +0200

cdebconf (0.67) unstable; urgency=low

  * Matt Kraai
    - Free the owner field of the node being deleted (Closes: #256954).
    - Add self to Uploaders.

 -- Matt Kraai <kraai@debian.org>  Wed, 30 Jun 2004 17:37:37 -0700

cdebconf (0.66) unstable; urgency=low

  * Joshua Kwan
    - Apply patch from Guillaume Pernot <gpernot@praksys.org> to fix
      a lone semicolon in newt.c that chokes gcc. (Closes: #251973)
  * Colin Watson
    - Initialize frontend handle to NULL and check for that on dlclose().
      This prevents a segfault when DEBIAN_FRONTEND=none.
    - Add myself to Uploaders.
  * Updated translations:
    - Welsh (cy.po) by Dafydd Harries
    - German (de.po) by Dennis Stampfer
    - Persian (fa.po) by Arash Bijanzadeh
    - Korean (ko.po) by Changwoo Ryu
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Jun 2004 15:01:36 +0100

cdebconf (0.65) unstable; urgency=low

  * Denis Barbier
    - cdebconf-text-udeb.templates:  when fixing #245624, a string format
      was modified.  Now that string freeze is over, this file is updated
      as well as translations.
    - With text interface, append "[*]" to selected items in boolean, select
      and multiselect questions.
  * Eugeniy Meshcheryakov
    - newt frontend: long lines in select and multiselect templates
      were wrongly truncated.  Closes: #245982

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 May 2004 20:05:51 +0200

cdebconf (0.64) unstable; urgency=low

  * Denis Barbier
    - text frontend: the default value in string templates was printed
      with %d instead of %s.  Closes: #245624

 -- Denis Barbier <barbier@debian.org>  Wed, 28 Apr 2004 02:03:19 +0200

cdebconf (0.63) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bokmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Vietnamese (vi.po) by Vu Quang Trung

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 12:55:32 -0400

cdebconf (0.62) unstable; urgency=low

  * Updated translations: 
    - Finnish (fi.po) by Tapio Lehtonen
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Davide Viti
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 10:44:42 -0400

cdebconf (0.61) unstable; urgency=low

  * Martin Sjögren
    - newt.c: Make sure we don't call NewtFinished if there's an active
      progress bar. Closes: #242976
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Gallegan (gl.po) by Héctor Fernández López
    - Italian (it.po) by Davide Viti
    - Portuguese (pt.po) by Miguel Figueiredo
    - Russian (ru.po) by Nikolai Prokoschenko
    - Turkish (tr.po) by Osman Yüksel

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Apr 2004 21:22:11 -0400

cdebconf (0.60) unstable; urgency=low

  * Joey Hess
    - Increase debhelper version to one that can handle udebs.
  * Denis Barbier
    - In the newt frontend, remove the <Continue> button except for
      questions of type note, error and multiselect (and also select
      when extended description is very long and displayed in a
      separate window).
    - Add a --merge command-line flag to debconf-loadtemplate.
      When debconf-loadtemplate reads templates files, the default
      behavior is to replace existing templates with the new
      definitions.  With this flag, translations are added to already
      existing templates.  But if English text differs, outdated
      translations are removed as if this flag was unset.
      Closes: #212921
    - Fix newt.c so that debian/cdebconf-newt-udeb.templates is generated
      from source files.
    - Rebuild cdebconf-text-udeb.templates to include strings added
      recently to the text frontend.
  * Updated translations: 
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Pierre Machard
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bokmal, Norwegian (nb.po) by Petter Reinholdtsen
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Nuno Sénica
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 2004 01:15:58 -0400

cdebconf (0.59) unstable; urgency=low

  * Joey Hess
    - Mark udebs as such in the control file, so debconf doesn't mark
      conffiles. Did not finish conversion to new simpler rules file
      using new debhelper udeb features.

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Apr 2004 16:58:34 -0500

cdebconf (0.58) unstable; urgency=low

  * Denis Barbier
    - Major improvements to the text frontend:
      + '\r' is not supported by all terminals, which made progress bars
        unreadable.  The display is now:
          Progress bar title ..20%..40%..60%..80%..100%
        Closes: #195704
      + Add support for backing up.  Closes: #183107
      + For most questions, prints the short description below the extended
        one.
      + String and passwd questions accept an empty answer.
      + A contextual help message is available at prompt.
      + Progress bar refresh is set to a minimum of 10% to prevent
        too verbose output.
      + Select and multiselect questions look now more like debconf
        readline questions.
      + Define a ISEMPTY macro to deal with empty strings on s390.
    - The previous fix about the seen flag broke when a package is
      left half-configured.  To prevent this problem, the seen
      flag is never written to the questions.dat file (for cdebconf-udeb
      only) as suggested by Joey Hess.  Closes: #229648
    - Add a --enable-d-i flag to the configure script, invoked when
      building cdebconf-udeb.  This option add -DDI_UDEB to CFLAGS.
  * Bastian Blank
    - Fix recognition of return in note.
    - Reorganize fd dups to properly handle closed stdin/-out.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Spanish (Castilian) (es.po) by Javier Fernández-Sanguino
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by Pierre Machard
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Davide Viti
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bokmal, Norwegian (nb.po) by Axel Bojer
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Nuno Sénica
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Nikolai Prokoschenko
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Matjaz Horvat
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 14:24:35 -0500

cdebconf (0.57) unstable; urgency=low

  * Denis Barbier
    - In cdebconf-udeb.templates, set debconf/showold to false by
      default.  This is possible now that main-menu temporarily
      changes this value to true when reconfiguring a package.
      Closes: #229648
    - Remove unused /var/lib/cdebconf/templates and
      /var/lib/cdebconf/questions directories from cdebconf-udeb.dirs.
      Closes: #222574
    - When templates or questions database are missing, debconf exits
      with a return code set to 1.
      Closes: #213165
    - Fix text and button placement in the newt frontend to prevent
      text overlap.  Closes: #225968
      When backup is disabled, the <Continue> button is now centered.
      The <Yes>/<No> buttons in boolean questions are separated from
      the <Go Back> button.
    - With progress bars, minimal text height is set to 2, so that
      there is no box redrawing when 1 or 2 line long text is displayed.
    - If title is larger than other widgets, it was not displayed.
      Main window is now enlarged in such a case so that title becomes
      visible.
    - When a title is too large to fit on a window, it is truncated
      with ellipsis.  Closes: #235184
  * Joey Hess
    - In the choices splitter, support "\ " as a way to have leading
      whitespace that is not stripped out. Did it this way because
      changing it to split on ", " instead of "*, *" might break stuff,
      and the spec is very vague.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Mar 2004 11:10:40 -0500

cdebconf (0.56) unstable; urgency=low

  * Translations
    - Ming Hua
      - Initial Traditional Chinese translation (zh_TW.po), by Tetralet
      - Reorganize the format of translation changelogs
    - Håvard Korsvoll
      - Updated Norwegian, nynorsk (nn.po) translation.
    - Eugeniy Meshcheryakov
      - Updated Ukrainian translation (uk.po)
    - Kęstutis Biliūnas
      - Updated Lithuanian translation (lt.po)
    - Jordi Mallach
      - Translate "Yes" as "Yes" instead of "No", to make this a bit useful.
    - Håvard Korsvoll
      - Updated Norwegian, bokmål translation, (nb.po). From Axel Bojer

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Mar 2004 13:17:30 -0500

cdebconf (0.55) unstable; urgency=low

  * Denis Barbier
    - The confmodule_update_seen_questions function was broken, only
      one question was added/removed to the stack of already seen
      questions.
    - Always display templates of type 'error'.
    - Let debconf-loadtemplate exit with code 1 if it could not write
      debconf databases.  Closes: #221879
  * Thiemo Seufer
    - Fix that exit code check.
  * Gustavo Noronha Silva
    - Began coding in gtk frontend starting to write a druid-like
      interface for cdebconf much like the gnome2 frontend for the
      perl-based debconf, that means the action buttons are now at the
      bottom of the window, separated from the question widgets.
      Only boolean_single has been hacked and tested at this stage,
      others to follow.

  * Translations:
    - Eugen Meshcheryakov
      - added Ukrainian translation (uk.po)
    - Changwoo Ryu
      - Added Korean translation (ko.po).

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Feb 2004 22:17:47 -0500

cdebconf (0.54) unstable; urgency=low

  * Martin Sjögren
    - Make the METAGET command return translated fields. This should fix
      the "Create %s file system" problem in partconf. (Closes: #224493)
  * Denis Barbier
    - Steal code from debconf to go back over skipped questions.
      Closes: #225861, #229719
    - As locales are not installed during early stage of installation,
      sorting cannot be performed at run-time, and templates must
      contain sorting order.  Thus the Listorder fields is removed and
      replaced by a new Indices field.  If a template contains
        Choices: a, b, c
        Choices-ll.UTF-8: x, y, z
        Indices-ll.UTF-8: 3, 1, 2
      this means that 'a' is translated into 'x', 'b' into 'y' and 'c'
      into 'z' for the language 'll', but "z, x, y" is displayed in that
      order.
    - If frontend is set to 'none', a dummy frontend is initialized.
      This can be useful in conjunction with debconf-communicate, e.g.
      to fix #223344.
    - Only newt and text frontends are currently supported.  Do not
      build other packages (neither debs nor udebs), and strip build
      dependencies.
      The dependency problem caused by cdebconf-gtk-udeb goes away,
      and a solution is worked on in case this frontend is back later
      (which is the reason why these entries are not removed from
      debian/control), so there is no need to keep this bugreport open.
      Closes: #218472
  * Bastian Blank
    - Fix progress bar calculations in newt frontend.

  * Updated translations:
    - Anmar Oueja
      - created and translated to Arabic (ar.po)
    - Nikolai Prokoschenko
      - updated Russian translation
    - Safir Secerovic
      - Update Bosnian translation (bs.po).
    - Carlos Z.F. Liu
      - fix some serious errors in Simplified Chinese translation.
    - h3li0s
      - Added Albanian translation (sq.po)
    - Jordi Mallach
      - Update Catalan translation (ca.po).

 -- Joey Hess <joeyh@debian.org>  Sat, 31 Jan 2004 19:13:56 -0500

cdebconf (0.53) unstable; urgency=low

  * Ming Hua
    - Initial Simplified Chinese translation (zh_CN.po)
  * Bart Cornelis
    - Merged Norewgian Nynorsk (nn.po) translation from skolelinux-cvs
  * André Dahlqvist
    - Update Swedish translation (sv.po)
  * Kęstutis Biliūnas
    - Updated Lithuanian translation (lt.po).
  * Tollef Fog Heen
    - Fix typo in debian/control in cdebconf-text-udeb description.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 31 Dec 2003 16:24:09 +0100

cdebconf (0.52) unstable; urgency=low

  * Bart Cornelis
    - Merged Norwegian Bokmael (nb.po) translation from skolelinux-cvs
  * Luis Ferreira
    -Added portuguese translation (pt.po)
  * André Dahlqvist
    - Added Swedish translation
  * Giuseppe Sacco
    - Updated italian translation (it.po)
  * Dennis Stampfer
    - Fixed invalid sv.po (Swedish translation)

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Dec 2003 19:55:03 -0500

cdebconf (0.51) unstable; urgency=low

  * Bartosz Fenski
    - Updated Polish (pl) translation.
  * Thiemo Seufer
    - Stop make to continue after errors.
    - Allow more efficient parallel make runs.
  * Verok Istvan
    - Initial Hungarian translation.
  * Arash Bijanzadeh
    - Initial Farsi translation (fa.po).
  * Konstantinos Margaritis
    - Updated Greek translation (el.po)
  * Otavio Salvador
    - Fix formatting of lists in debian/po/pt_BR.po
  * Peter Mann
    - Updated Slovak translation. (sk.po)
  * Giuseppe Sacco
    - First italian translation from Davide Viti
    - updated translation
  * Teófilo Ruiz Suárez
    - Updated Spanish translation (es.po)
    - Switched to UTF-8
  * Bart Corneli
    - updated dutch translation
  * Dennis Stampfer
    - Update German translation de.po
    - Update German translation de.po by Jan Lübbe. Closes: #224320
  * Petter Reinholdtsen
    - Updated Norwegian Bokmål translation (nb.po).
  * Steinar H. Gunderson
    - Updated Norwegian Bokmål translation (nb.po).
  * Ognyan Kulev
    - Added/updated bulgarian translation (bg.po).
  * Joey Hess
    - Change menu-item-number of priority chooser back to 930 to get it back
      out of the critical path.
  * Kęstutis Biliūnas
    - Updated Lithuanian translation (lt.po).
  * Jure Cuhalev
    - Added/updated slovenian translation (sl.po).

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Dec 2003 14:01:31 -0500

cdebconf (0.50) unstable; urgency=low

  * Peter Mann
    - Initial Slovak translation (sk.po).
  * Denis Barbier
    - Fix navigation with arrow keys in the newt frontend.  Closes: #218844.
    - Provide a better example in src/test/backup.config
    - Fix multiselect questions with the text frontend, newlines were missing.
    - Improve prompt for select and multiselect questions with the text
      frontend, it now displays: q to quit select, b to back up, n for next page
      As before, only relevant options are listed.  Closes: #192305.
    - Fix handling of already seen questions: DEBCONF_SHOWOLD environment
      variable and debconf/showold debconf question can change the default
      behavior.
    - Add a debconf/showold question in cdebconf-udeb.templates, and set
      it to true by default.
    - In src/test/*.config shell scripts, source client/confmodule to improve
      code readability.  In order to perform basic debugging, test.config is
      unchanged.
  * Chris Tillman
    - s/debconf/cdebconf/ in man pages.
  * André Luís Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * Miroslav Kure
    - Update Czech translation.
  * Pierre Machard
    - Update French translation.
    - Run debconf-updatepo.
  * Bart Cornelis
    - Update Dutch translation (nl.po)
  * Claus Hindsgaul
    - Update Danish translation (da.po).
  * Tommi Vainikainen
    - Update Finnish translation.
  * Alastair McKinstry
    - Add dependency on di-utils-terminfo to newt, slang frontends.
    - Change menu-item for cdebconf-priority to 11, to ask it just
      after languagechooser.
  * Konstantinos Margaritis
    - Initial Greek translation (el.po)
  * Safir Šećerović
    - Update Bosnian translation (bs.po).
  * Jordi Mallach
    - Add Catalan translation (ca.po).

 -- Joey Hess <joeyh@debian.org>  Tue,  9 Dec 2003 15:59:24 -0500

cdebconf (0.49) unstable; urgency=low

  * Christian Perrier
    - Update French translation.
  * Safir Secerovic, Amila Akagic
    - Add Bosnian translation (bs.po).
  * Alastair McKinstry
    - Change CMDSTATUS_BADPARAM code to 15, to disabiguate.
    - Add enum for command status codes to debconfclient.h
  * Ilgiz Kalmetev
    - Updated Russian translation. Closes: #219095.
  * Denis Barbier
    - Empty extended descriptions did produce extra vertical space, it is
      now fixed for all supported frontends.  Closes: #219072.
    - With the newt frontend, display of notes was corrupted when the
      extended description was shorter than the description.
      Closes: #218869.
    - Look for translated Listorder fields so that translators may decide
      not to sort Choices fields, e.g.
        Listorder-ja.UTF-8: none
      will prevent sorting in Japanese.
  * Joey Hess
    - Add myself, Petter, and Randolph to Uploaders.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Nov 2003 14:16:54 -0500

cdebconf (0.48) unstable; urgency=low

  * Denis Barbier
    - Sort translated choices when a select/multiselect template contains
      a line Listorder: lexicographic
      If some Choices items must not be sorted, they can be prepended with
      an exclamation mark.  Adding a comment is a good idea to let
      translators know why this sign has been put here:
        _Choices: ${FOO}, !Other[ You only have to translate Other, remove the exclamation mark and this comment between brackets]
      Currently text, newt, slang and gtk frontends support this feature.
    - Fix a crash with the newt frontend when a boolean question has no
      default value. Closes: #215583.
    - Let cdebconf newt frontend looks like debconf dialog: short description
      is moved just before input field, except for note and error template
      types.  Closes: #215582.
    - Make strlongest aware of wide chars.
    - Windows now adjust to text size with the newt frontend,
  * Steinar H. Gunderson
    - Makes cdebconf assume "show only unseen questions" by default,
      which makes it behave a lot more like debconf. This also makes
      unattended installs (ie. installs with pre-seeded debconf databases)
      possible without a non-interactive frontend.
    - Updated dpkg-reconfigure to make cdebconf show unseen questions,
      to keep it updated with the change above.
  * Kęstutis Biliūnas
    - Add Lithuanian translation (lt.po).
  * Claus Hindsgaul
    - Add Danish translation (da.po).
  * Petter Reinholdtsen
    - Add menu item for cdebconf-priority to list of translatable
      terms.
  * André Luís Lopes
    - Updated pt_BR (Brazilian Portuguese) translation.
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * Bart Cornelis
    - update dutch translation (nl.po)
  * Tommi Vainikainen
    - Add Finnish (fi.po) translation
  * Christian Perrier
    - Update French translation (fr.po).
  * Miroslav Kure
    - Update Czech translation (cs.po).
  * Morten Brix Pedersen
    - Update Danish translation (da.po).  Closes: #217164.
  * Alastair McKinstry
    - newt.c: on ESCAPE being pressed, return GOBACK rather than OK.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 31 Oct 2003 19:00:23 +0100

cdebconf (0.47) unstable; urgency=low

  * Steinar H. Gunderson
    - Remove the duplicate instance of d-shlibs from build-deps.
  * Alastair McKinstry
    - Add internationalization of the remaining (non-newt) frontends.
      Closes: #184774.
    - Finish off list in debconf_capb() macro with NULL.  This bug
      require a rebuild of all programs using it.  Closes: #215403.
  * Kenshi Muto
    - Update Japanese po (ja.po)
  * Miroslav Kure
    - Initial Czech translation.
  * Denis Barbier
    - Leading and trailing spaces are no more removed when reading
      templates files.
    - Update cdebconf-text-udeb.templates with latest text.c
    - Move UI strings from cdebconf-udeb.templates to new
      cdebconf-gtk-udeb.templates and cdebconf-slang-udeb.templates
    - Add a 'templates' target in src/modules/frontend/Makefile to
      generate cdebconf-*-udeb.templates files from translatable
      strings.  It is not run by default.
  * Bart Cornelis
    - Update dutch translation (nl.po)
  * AndréLuís Lopes
    - Update pt_BR (Brazilian Portuguese) translations.
  * Petter Reinholdtsen
    - Correct d-i menu entry template name.
    - Update ru.po, thanks to patch from Ilgiz Kalmetev (Closes: #214385)
    - Make sure the newt frontend find translations for its buttons, after
      the templates was moved from cdebconf-udeb.templates.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 13 Oct 2003 08:02:31 +0200

cdebconf (0.46) unstable; urgency=low

  * Joey Hess
    - Fix priority of libdebconfclient0(-dev).
  * Sebastian Ley
    - Set standard install priority to high
  * Petter Reinholdtsen
    - Add support for translated menu entry for cdebconf-priority
    - Simplify settitle implementation.

 -- Sebastian Ley <ley@debian.org>  Thu,  2 Oct 2003 19:12:16 +0200

cdebconf (0.45) unstable; urgency=low

  * André Luís Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Kenshi Muto
    - Update ja.po.
  * Matt Kraai
    - Wrap long progress bar information.
  * Joey Hess
    - Set priority to extra, it conflicts with debconf.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 28 Sep 2003 14:43:27 +0200

cdebconf (0.44) unstable; urgency=low

  * Martin Sjögren
    - Add internationalization of the buttons in the newt frontend.
    - Hide the Go Back button instead of disabling it if backup is
      disabled. A proper fix for colour sets would be better, but
      this is less confusing for now.
    - Set the background color to red when displaying an error message.
  * Petter Reinholdtsern
    - Ran debconf2po-update.
    - Updated nb.po.
    - Updated de.po, translated by Maximilian Wilhelm.
  * Bart Cornelis
    - updated Dutch translation
  * Pierre Machard
    - Update French po-debconf translation.
  * Matt Kraai
    - Build-depend on d-shlibs.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Sep 2003 17:43:24 +0200

cdebconf (0.43) unstable; urgency=low

  * Steinar H. Gunderson
    - Add progress bars to slang frontend.
    - Don't wrap text in newt frontend if it already has been wrapped by
      libtextwrap. (Closes: #212389)
    - Slovenian translation (sl.po), from Jure Cuhalev.
  * Martin Sjögren
    - Add binary dependencies for frontend udebs.
  * Sebastian Ley
    - Apply a workaround to get frontend switching working
  * Petter Reinholdtsen
    - Revert cdebconf-priority packages menu item change done by
      Martin Sjögren.  I do not think it is needed to ask about this
      in a normal installation, as uain-menu will adjust the debconf
      priority dynamically.
    - Add new command SETTITLE to make it possible to use translated
      titles. (Closes: #212923)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Sep 2003 12:59:16 +0200
 
cdebconf (0.42) unstable; urgency=low

  * Sebastian Ley
    - Add code to be able to change frontends on the fly. It is done by
      setting the value of a question debconf/frontend to whatever frontend
      you want to change to. This value is checked before each GO command.
  * Petter Reinholdtsen
    - Update ru.po, patch from Serge Winitzki.
  * Steinar H. Gunderson
    - Make question_get_field always return a valid string, even when it
      gets a NULL pointer from the templates (which happens when a frontend
      tries to look up a non-existing field). (Closes: #211315)
  * Kenshi Muto
    - Update ja.po

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 22 Sep 2003 23:04:11 +0200

cdebconf (0.41) unstable; urgency=low

  * Kenshi Muto
    - Added Japanese translation (ja.po)
  * Teófilo Ruiz Suárez
    - Revised Spanish translation (es.po)
  * Denis Barbier
    - Update debian/po/POTFILES.in to reflect the renaming of
      cdebconf-priority.templates to cdebconf-udeb.templates.
  * Tomohiro KUBOTA
    - Added --with-textwrap option for ./configure to use libtextwrap
      if available.
  * Petter Reinholdtsen
    - Add new tool debconf-dumpdb, code from Tollef Fog Heen.
    - Add libtextwrap-dev to build-dependencies, after testing that the
      resulting cdebconf work just fine.

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  5 Sep 2003 23:32:41 +0200

cdebconf (0.40) unstable; urgency=low

  * Petter Reinholdtsen
    - Add assert() to the newt frontend to try to pinpoint where it
      crashes.
    - Log when the langauge and priority changes.
  * Martin Sjögren
    - Remove the 'libnewt-utf8-dev' alternate dependency, it should be just
      libnewt-dev now. (Closes: #203449)
    - Move the debconf/priority template back to cdebconf-udeb.
      (Closes: #203334)
    - Memory cleanups in newt frontend.
    - Rebuild with newer libnewt.
    - This is known as the "stuff it" release, since I have no way
      to actually *test* this thoroughly.
  * Bastian Blank
    - fix macros in debconfclient.h.
  * Sebastian Ley
    - Memory cleanup. Dropped some const qualifiers which are obsolete due to
      Martins cleanup of const buffers.

 -- Martin Sjogren <sjogren@debian.org>  Thu, 21 Aug 2003 14:59:14 +0200

cdebconf (0.39) unstable; urgency=low

  * Thorsten Sauter
    - fix German translation
  * Pierre Machard
    - Update French translation
  * Martin Sjögren
    - Change the "Cannot open template file.." message to INFO_VERBOSE. It's
      more of a warning than an error, really.
    - Add cdebconf-priority udeb.
    - Add "error" template type.
  * Matt Kraai
    - Add nl.po, thanks to Bart Cornelis.
  * Joey Hess
    - Split out the text frontend into its own module too.
    - Make newt frontend default for udeb.
    - Added --with-syslog-logging configure option (should really be in the
      config file, but too hard) and turn it on for d-i. Closes: #201791
  * Aigars Mahinovs
    - Add latvian translation (lv.po).
  * Alastair McKinstry
    - Convert changelog to UTF-8, in accordance with Standards-Version 3.6.0
    - Swap "Go back" and "Continue" buttons in the newt frontend to be
      more conventional

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Jul 2003 15:59:44 +0200

cdebconf (0.38) unstable; urgency=low

  * Martin Sjögren
    - Remove libdebconf in favour of libdebconfclient which is slimmer.
    - libdebconf.so is put in /usr/lib/cdebconf and found via rpath info.
    - Make me the current uploader of this package.
    - frontends/newt: When splitting up description and choices in two
      windows, make sure the user can back up to the description.
      (Closes: #188710)
    - Redesign the command functions to get rid of the space mangling.
      (Closes: #185014)
    - Add DEBCONF_OLD_{STDIN,STDOUT}_FD that point to the original stdin
      and stdout, to be used by console programs like starting a shell.
    - frontends/newt: Fix crash bug on double invocation of PROGRESS STOP.
    - frontends/newt: Change OK/Cancel to Continue/Go Back, and lay some
      ground work for i18n.
    - Redesign the progress API, see the docs. (Closes: #188243)
    - When asked the same question twice, ignore one of the questions to
      prevent looping. This is what perl-debconf does too.
    - Add a 'priority' member to the question struct that can be used by
      frontends.
    - frontend/newt: Show a "sigil" in the title that indicates the
      priority of the question. (Closes: #184816)
  * Thorsten Sauter
    - Insert german translation
  * André Luís Lopes :
    - Update pt_BR debconf template translation.

 -- Martin Sjogren <sjogren@debian.org>  Wed, 14 May 2003 11:41:41 +0200

cdebconf (0.37) unstable; urgency=low

  * Sebastian Ley
    - Allocate memory to load templates dynamically. (Closes: #188043)
  * Petter Reinholdtsen
    - Remove code to reconfigure the language when SIGUSR1 is recieved.
      This is now done when 'SET debconf/language' is used instead.
      SIGUSR1 still saves the database to disk.

 -- Martin Sjogren <sjogren@debian.org>  Sun,  4 May 2003 17:38:00 +0200

cdebconf (0.36) unstable; urgency=low

  * Petter Reinholdtsen
    - Correct section of libdebconf1-dev from devel to libdevel to
      make sure it matches the override file in the debian archive.
    - Update /usr/share/debconf/confmodule to match the version in
      debconf 1.2.34.  This might solve the problem on disappearing
      whitespace.  The only difference left is the progress support.
    - Try to change the language imediately when debconf/language is
      set.
    - Add asserts() in question_get_field() trying to find out why
      cdebconf crashes.
    - Double the buffer used when loading templates.  This is a
      workaround for bug #188043, but the code should be rewritten
      to remove the limit.
  * Martin Sjögren
    - templates.c: Fix segfault bug in the getlanguage for loop.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 24 Apr 2003 17:58:48 +0200

cdebconf (0.35) unstable; urgency=low

  * Martin Sjögren
    - frontend/newt: Don't clear the screen unless questions will be
      asked. (Closes: #184582)
    - Change priority of frontend udebs (slang,newt,gtk) to optional.
    - When frontend is cleared, set prev and next of all questions to NULL.
      (Closes: #182357,#186413)
  * Sebastian Ley
    - The CAPB command now sets exactly the capabilities that were given as
      arguments. This makes it possible to turn of backup.
  * Denis Barbier
    - src/debconfclient.c: remove dependencies against common.h and
      strutl.h so that debconfclient.[ch] can be moved to a separate
      libdebconfclient package.
  * Petter Reinholdtsen
    - Reduce the priority from critical to medium when setting the
      current debconf priority.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Apr 2003 00:12:39 +0200

cdebconf (0.34) unstable; urgency=low

  * Add build-dependency on gtk to fix build problems.

 -- Martin Sjogren <sjogren@debian.org>  Tue, 18 Mar 2003 11:38:35 +0100

cdebconf (0.33) unstable; urgency=low

  * Alastair McKinstry:
    - Enable gtk builds; wanted for testing gtk-installer
  * Martin Sjögren
    - debian/rules: Use $(UDEB_FRONTENDS) for udeb building, so e.g. the
      bogl frontend won't get in there by mistake.

 -- Martin Sjogren <sjogren@debian.org>  Tue, 11 Mar 2003 20:48:21 +0100

cdebconf (0.32) unstable; urgency=low

  * Mario Lang
    - text.c: Implement simple paging support for select and multiselect
  * Martin Sjögren
    - Add a newt frontend and a cdebconf-newt-udeb package.
    - Make the C debconfclient perform the same file descriptor
      redirections that the sh confmodule does.
    - Add strwidth function for wide character strings.
  * Petter Reinholdtsen
    - Updated nb.po received from Bjørn Steensrud.
    - Added Norwegian Nynorsk (nn.po) translations recieved from
      Gaute Hvoslef Kvalnes.

 -- Martin Sjogren <sjogren@debian.org>  Wed,  5 Mar 2003 22:35:07 +0100

cdebconf (0.31) unstable; urgency=low

  * Petter Reinholdtsen
    - Added Norwegian Bokmål translations received from Bjørn Steensrud.
  * Max Kosmach <max@tcen.ru>: initial russian translation
  * Denis Barbier
    - With the slang frontend, cursor must skip <Cancel> button even
      when it is not displayed.  (Closes: #180299) 
  * Thorsten Sauter
    - Added basic progress bar support fo shellscripts (Closes: #181083).
  * Martin Sjögren
    - Text frontend: Blank until end of line when updating progress bar
      (Closes: #181081).
    - Text frontend: Increase the progress step *after* printing, so it
      won't say 100% until it's done (Closes: #181088).

 -- Martin Sjogren <sjogren@debian.org>  Fri, 21 Feb 2003 23:53:53 +0100

cdebconf (0.30) unstable; urgency=low

  * Randolph Chung
    - added support for progress bars; bump the minor so version
    - add a printf style api for debconfclient; add helper macros
      for debconf commands (not yet completely verified)
    - add debconf-communicate utility program
    - fix text frontend so it never thinks the screen width is 0
  * Denis Barbier:
    - in databases encode strings as debconf does
    - when reading templates files, newlines at the end of lines which
      are not reformatted were gobbled
    - finish support for backing up; names of seen questions are
      stored in a new member of confmodule, these questions are
      only marked as seen when session is over.
    - when SIGUSR1 is received, reads debian-installer/language value
      and sets LANGUAGE environment variable accordingly.
    - change progress bars interface: displayed strings are extracted
      from a template in order to help their l10n.
    - with text frontend, do not display title when question is
      skipped.  (closes: #177720)
  * Tollef Fog Heen:
    - Move rfc822 functions into libcdebconf from rfc822db module
    - Fix getwidth to work properly on serial consoles.  Hopefully.
  * Martin Sjögren:
    - Make the slang frontend slightly friendlier to programs that produce
      output themselves.
  * Petter Reinholdtsen
    - Add configure option --with-default-frontend to make it easier to
      change frontend at compile time.
    - In cdebconf-udeb, do not change the debconf priority setting if
      environment DEBCONF_PRIORITY is set.
    - The slang frontend is no longer part of cdebconf-udeb, but is
      a separate package (Closes: #84230).
  * Matt Kraai
    - Add a cdebconf-slang-udeb package.
    - NULL-terminate strvacat argument lists (Closes: #178402).

 -- Randolph Chung <tausq@debian.org>  Tue, 28 Jan 2003 21:14:43 -0800

cdebconf (0.29) unstable; urgency=low

  * Denis Barbier:
    - improve slang frontend, in order to make it more dialog-like.
      When it is not ambiguous, pressing Enter key validate current
      input and go to the next step.  Rename <Previous>/<Next> into
      <Next>/<Cancel>.
    - add support for backing up; it is only activated when script
      invoke the "backup" debconf command.
  * Tollef Fog Heen
    - remove textdb from udeb build

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  5 Dec 2002 00:33:36 +0100

cdebconf (0.28) unstable; urgency=low

  * Bastian Blank:
    - split cleanup() into save() and cleanup().
    - add a sighandler for SIGUSR1 which only saves the data.
  * Denis Barbier:
    - when a select has a single choice, let it be the default.
    - cdebconf did gobble everything in extended descriptions
      after a paragraph or a line beginning with a leading space.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 26 Nov 2002 04:21:29 +0100

cdebconf (0.27) unstable; urgency=low

  * Bastian Blank:
    - fix multiselect question within the text frontend.
    - add sighandler for SIGTERM
    - add exit(1) to the end of the sighandler.
    - modify the macros STRDUP and FREE to handle null pointers correctly.
    - use question_getvalue(...) not q->value.
    - check for value == NULL within command_get and command_metaget.
    - use default language for metaget.
    - add STRDUP_NOTNULL with the old behaviour of STRDUP. the client 
      doesn't expect a value of NULL.
    - add myself to Uploaders.
  * Denis Barbier:
    - Clean up function interface with l10n'ed fields: 'get' and 'set'
      functions in the template structure are no more used.
    - The getlanguage function is moved to template.c so that i18n is
      fully handled by template.c
    - Remove a superfluous trailing space in extended descriptions
    - Use LANGUAGE environment variable instead of DEBCONF_LANG.
      This variable is a colon separated list of languages.
    - Fix the textdb driver wrt localized fields
    - Support localized Default fields
    - There are now 2 ways to retrieve question values, question_getvalue(q,l)
      return either NULL or question value if it exists, and
      question_get_field(q,l,"value") always return a valid string.  With the
      latter, variable substitutions are also performed.
    - Add support for the DEBCONF_SHOWOLD environment variable.  Its default
      is currently "true".
    - Improve support of the 'seen' flag; dixit joeyh, flags should be
      set when closing session to help backing up, but it needs some
      extra work.

 -- Bastian Blank <waldi@debian.org>  Sun, 24 Nov 2002 00:17:31 +0100

cdebconf (0.26) unstable; urgency=low

  * Tollef Fog Heen:
    - Add stack module.
    - Add possibility to specify modname when doing template_db_new and
      question_db_new, this breaks compatibility, so bump soname as well.
      Integer sonames are good for your health and stomach, so make
      libdebconf.so.1 the soname
    - have make clean remove the static library as well.
    - make -o in debconf work.
    - fix harmless compile warning in rfc822db.c's get method.
  * Denis Barbier:
    - Fix select/multiselect with slang frontend
    - remove defaultval member in question structure
    - partially handle localized fields, only UTF-8 templates files
      are considered
    - change internal template structure in src/template.h in order
      to help managing localized fields, and fix doc/modules.txt
      accordingly
    - define accessors to get and set template values, should be used
      everywhere instead of direct access to structure members
    - modify question API when dealing with templates values
    - fix frontends and db to work with these changes

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 19 Nov 2002 02:30:53 +0100

cdebconf (0.25) unstable; urgency=low

  * Tollef Fog Heen:
    - Fix warnings about missing ${shlibs:Depends} for libdebconf0.3-dev.
    - Make debian-boot maintainer, add tausq and self to Uploaders
  * Martin SjÃ¶gren:
    - Expand variables in the default value
  * André Luís Lopes
    - Add Brazilian Portuguese (pt_BR)
      cdebconf template translation.
  * Bastian Blank
    - text frontend:
    - recognize ".\n" for reaching the default value (only s390 for now)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 14 Nov 2002 01:50:26 +0100

cdebconf (0.24) unstable; urgency=low

  * Junichi Uekawa:
    - debconf, debconf-copydb, debconf-loadtemplate, dpkg-reconfigure: call setlocale
    - link slang frontend against slang-utf8 (closes: #148448)
    - Build-Depend on slang-utf8-dev
    - debconf.c: fix typo in getopt
  * Matt Kraai:
    - fix debconf argument handling
  * Tollef Fog Heen:
    - ask about priority, default being medium.
    - cdebconf-udeb now only provides libdebconf0.3 since main-menu doesn't
      know about multiple provides, yet.
    - don't try to be smart in the text frontend about finding templates
      for broken questions, since it breaks if the question is
      registered.
    - add support for the "REGISTER" command
    - fix text frontend to not crash on text input if the user only types
      a dot to end.
    - fix confmodule.c and commands.c to not use fixed-size
      buffers. (closes: #167312)
  * Denis Barbier:
    - convert to po-debconf, set Build-Depends: debhelper (>= 4.1.13)
      to ensure that generated templates are right, and set output encoding
      to UTF-8.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  6 Nov 2002 02:00:32 +0100

cdebconf (0.23) unstable; urgency=low

  * Change the database names to match the names currently used in
    debconf (config_db/template_db to configdb/templatedb).
  * Add gtk frontend from Michael Cardenas
  * Junichi Uekawa: require d-shlibs 0.3 or greater
  * fix dpkg-reconfigure so it reconfigures even when no .config script is
    present.
  * Only pull the frontend name from the config file if not given on the
    command line or in the environment.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 17 Sep 2002 01:38:56 +0200

cdebconf (0.22) unstable; urgency=low

  * Add conflicts for cdebconf-dev
  * Change to use text frontend by default, as well as rfc822db, since
    this bites quite a few people.
  * Fix typo in shlibs.local

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 21 Aug 2002 17:40:32 +0200

cdebconf (0.21) unstable; urgency=low

  * walters: Make DEB_BUILD_OPTIONS=debug,nostrip work.
  * walters & tausq: Fix reference counting in textdb.
  * tfheen: 
      - fix various possible segfaults and off-by-one errors.
      - rewrite rfc822db.  again.  this time using tsearch and
        friends.
      - break binary compatibility because of the tsearch stuff.  Bump
        shlibs and stuff
      - add conflicts with libcdebconf-dev to libdebconf0.3-dev
  * Junichi Uekawa: use d-shlibs for shlibs moving.
    change package names to match d-shlibs desires from libcdebconf-dev to
    libdebconf0.2-dev, and libdebconf0.2.
    Add shlibs:Depends to library package
    Add devlibs:Depends to dev package
    src/Makefile.in: Build static library as per policy requirement.
    debian/rules: add rule to remove static library in udeb
    debian/control: retail provides: libcdebconf-dev for other packages to
    depend on for the time being.

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 17 Aug 2002 14:17:50 +0200

cdebconf (0.20) unstable; urgency=low

  * Not sure what's the deal with the quad-dotted version
    numbers; one is quite enough
  * provides debconf-2.0, conflicts debconf
  * make /usr/bin/debconf cmd-line compatible with debconf
  * install dpkg-[p]reconfigure in standard places
  * rewrote database interfaces to be more consistent
    with debconf; changed configuration file format to 
    support multiple database instances; fixed some bugs
    and introduced some new ones :-)
  * rename debconf-convertdb to debconf-copydb to be
    consistent with debconf
  * fixed up the silly symlink build hack that we had
    before
  * rbeaugrand@easter-eggs.com: fixes to commands.c and
    text.c (Closes: #96297)
  * Use medium as default priority if no priority is specified.

 -- Randolph Chung <tausq@debian.org>  Fri, 28 Jun 2002 16:44:09 -0400

cdebconf (0.10.7.3) unstable; urgency=low

  * tfheen: Fix up rfc822db
  * tfheen: fix configure, configure.in so that they can find bogl
  * tfheen: add libperl-dev to build-deps.
  * joeyh: cdebconf-udeb needs to provide cdebconf as that is the dep some
    udebs use.
  * joeyh: fix version number; this is a native package and my build scripts
    cannot handle a native package with a screwed up version number with
    debian revision.
  * joeyh: fixed dpkg-distaddfile invocation to use right Priority line.

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Jul 2003 09:37:23 +0200

cdebconf (0.10-7.2) unstable; urgency=low

  * NMU to get a new package into the archive which actually supports
    rfc822db and i18n.  (closes: #115827, #120365)
  * get rid of obsolete emacs variables from changelog.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 30 May 2002 13:15:53 +0200

cdebconf (0.10-7.1) unstable; urgency=low

  * Non-maintainer upload
  * Mark /etc/cdebconf.conf as a conffile, per policy (closes: #132798)

 -- Steve Langasek <vorlon@debian.org>  Sun, 17 Feb 2002 11:16:19 -0600

cdebconf (0.10-7) unstable; urgency=medium

  * Maintainer upload to fix binNMU brokenness for hppa
    (Closes: #126578)
  * Hurd fixes (Closes: #92091)
  * Other previously closed bug (Closes: #92091)

 -- Randolph Chung <tausq@debian.org>  Mon, 31 Dec 2001 10:40:53 -0800

cdebconf (0.10-6) unstable; urgency=low

  * Don't ship convertdb binary in the udeb (closes: #116206) 

 -- Randolph Chung <tausq@debian.org>  Sun, 21 Oct 2001 22:07:21 -0700

cdebconf (0.10-5) unstable; urgency=low

  * provide shlibs (closes: #83096) 
  * rename conffile to cdebconf.conf
  * remove need for user-interaction in postinst

 -- Randolph Chung <tausq@debian.org>  Wed, 21 Feb 2001 20:57:09 -0700

cdebconf (0.10-4) unstable; urgency=low

  * Added warning to cdebconf postinst about cdebconf breaking debconf
  * Added build-depends (closes: #83219)
  * Added in a hack to make cdebconf not really break debconf (closes: #83318)

 -- Randolph Chung <tausq@debian.org>  Wed, 24 Jan 2001 00:01:05 -0700

cdebconf (0.10-3) unstable; urgency=low

  * Make cdebconf Priority: optional instead of standard
  * Minor packaging fixes

 -- Randolph Chung <tausq@debian.org>  Sun, 21 Jan 2001 10:40:38 -0700

cdebconf (0.10-2) unstable; urgency=low

  * Fixes a number of packaging bugs, moved to main tree
  * Lots of new features, see CVS logs...

 -- Randolph Chung <tausq@debian.org>  Fri, 19 Jan 2001 19:37:51 -0700

cdebconf (0.10-1) experimental; urgency=low

  * Initial Release.

 -- Randolph Chung <tausq@debian.org>  Sun,  1 Oct 2000 15:54:15 -0700
